﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="DataTypes" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>DataTypes Validations</title>

<!-- GENERAL DATA TYPE ABSTRACT RULES 
 xsd-datatype-ID -->

<rule
		name="VR.ATO.GEN.001012"
		context="xbrli:context[not(@i:nil='true' or @i:nil='1')]/@id">
<extends
			rule="xsd-datatype-ID" />
</rule>
<!-- xsd-datatype-date -->

<rule
		name="VR.ATO.GEN.001008"
		context="xbrli:startDate[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-date" />
</rule>

<rule
		name="VR.ATO.GEN.001008"
		context="xbrli:endDate[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-date" />
</rule>
<!-- xsd-datatype-boolean -->

<rule
		name="VR.ATO.GEN.001010"
		context="bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeRecalculation.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		name="VR.ATO.GEN.001010"
		context="bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedEffectiveLife.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>
<!-- xsd-datatype-monetary  -->

<rule
		context="bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedExcludingMotorVehiclesCostTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedMotorVehiclesCostTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Income.DepreciatingAssetsAssessbleIncomeFromBalancingAdjustmentEventsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.DepreciatingAssets.DeductibleFromBalancingAdjustmentEventsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.DepreciatingAssets.DeductionForDeclineInValuePrimeCostMethodTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.DepreciatingAssets.DeductionForDeclineInValueDiminishingValueMethodTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo7.02.02:Assets.DepreciatingAssets.AdjustableValuesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo7.02.02:Assets.DepreciatingAssets.CostOfLowCostAssetsAllocatedToLowValuePoolTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.AdjustableValuesOfLowValueAssetsAllocatedToLowValuePoolTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo7.02.02:Assets.DepreciatingAssets.SecondElementOfCostAllocatedToLowValuePoolTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo7.02.02:Assets.DepreciatingAssets.TerminationValuesOfAssetsInLowValuePoolForBalancingAdjustmentEventTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeAdjustableValuesExcludingMotorVehiclesRecalculatedTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeAdjustableValuesMotorVehiclesRecalculatedTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.DepreciatingAssets.ProjectPoolAllocationsForEnvironmentalAssessments.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.DepreciatingAssets.ProjectPoolAllocationsForMiningAndTransportCapitalExpenditure.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.DepreciatingAssets.ProjectPoolAllocationsOther.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.DepreciatingAssets.IntangibleAssetsDeclineInValueOfExplorationOrProspecting.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.DepreciatingAssets.OtherAssetsDeclineInValueOfExplorationOrProspecting.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Income.HedgingGains.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Expense.HedgingLosses.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedLowCostAssetsExcludingMotorVehiclesTotalCost.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedExcludingLowCostAssetsExcludingMotorVehiclesTotalCost.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo7.02.00:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedMotorVehiclesTotalCost.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.LowValuePoolBalance.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.ClosingPoolValuesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>
<!--xsd-datetype-positiveinteger-->

<rule
		context="bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.ProjectPools.Count[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-positiveIntegerItemType" />
</rule>
<!--xsd-datatype-sbrAustralianBusinessNumberItemType-->

<rule
		context="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-sbrAustralianBusinessNumberItemType" />
</rule>
<!--xsd-datatype-sbrOrganisationNameItemType-->

<rule
		context="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-sbrOrganisationNameItemType" />
</rule>
</pattern>