﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="DataTypes" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>DataType Validations</title>

<!-- xsd-datatype-ID -->

<rule
		name="VR.ATO.GEN.001012"
		context="xbrli:context[not(@i:nil='true' or @i:nil='1')]/@id">
<extends
			rule="xsd-datatype-ID" />
</rule>
<!-- xsd-datatype-boolean -->

<rule
		name="VR.ATO.GEN.001010"
		context="rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerChosen.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		name="VR.ATO.GEN.001010"
		context="rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntities.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		name="VR.ATO.GEN.001010"
		context="rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesJointChoice.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		name="VR.ATO.GEN.001010"
		context="lrla.02.05:EmployerConditions.EmployeeShareScheme.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		name="VR.ATO.GEN.001010"
		context="rvctc3.02.02:CapitalGainsTax.SameMajorityUnderlyingOwnershipPreCGTAssets.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>
<!-- xsd-datatype-date -->

<rule
		name="VR.ATO.GEN.001008"
		context="xbrli:startDate[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-date" />
</rule>

<rule
		name="VR.ATO.GEN.001008"
		context="xbrli:endDate[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-date" />
</rule>
<!--xsd-datetype-positiveinteger-->

<rule
		name="VR.ATO.GEN.001013"
		context="cgts.0002.lodge.request.02.01:AcquiringEntity/rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesNumberOfOriginalEntities.Count[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-positiveIntegerItemType" />
</rule>

<rule
		name="VR.ATO.GEN.001013"
		context="cgts.0002.lodge.request.02.01:AcquiringEntity/rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesSharesUnitsIssued.Count[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-positiveIntegerItemType" />
</rule>

<rule
		name="VR.ATO.GEN.001013"
		context="rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesOptionsRightsIssued.Count[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-positiveIntegerItemType" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="xbrli:xbrl/rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="rvctc3.02.02:CapitalGainsTax.RealEstate.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="rvctc3.02.02:CapitalGainsTax.AssetsOrEvents.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="rvctc3.02.02:CapitalGainsTax.Collectables.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="rvctc3.02.02:Capital.Losses.Applied.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="rvctc3.02.02:CapitalGainsTax.Total.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="gfagc.02.01:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.00:Income.CapitalGainsNet.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="rvctc3.02.02:CapitalGainsTax.HedgingFinancialArrangements.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="rvctc3.02.02:Capital.Losses.SharesAndUnitsInUnitTrusts.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="rvctc3.02.02:Capital.Losses.RealEstate.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="rvctc3.02.02:Capital.Losses.CGTAssetsOrEventsOther.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="rvctc3.02.02:Capital.Losses.CarriedForward.UnappliedCollectables.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="rvctc3.02.02:Capital.Losses.CarriedForward.UnappliedOther.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerOriginalInterestsCostBase.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerReplacementInterestsMarketValue.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerCashAndOtherConsiderations.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="rvctc3.02.02:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="rvctc3.02.02:Capital.Losses.HedgingFinancialArrangements.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="cgts.0002.lodge.request.02.01:AcquiringEntity[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesCommonStakeholderInterestsCostBase.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="cgts.0002.lodge.request.02.01:AcquiringEntity[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesElementOfCostBase.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="cgts.0002.lodge.request.02.01:AcquiringEntity[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesOtherConsiderations.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>
<!--xsd-datatype-sbrOrganisationNameItemType-->

<rule
		name="VR.ATO.GEN.001017"
		context="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-sbrOrganisationNameItemType" />
</rule>
<!--xsd-datatype-sbrAustralianBusinessNumberItemType-->

<rule
		name="VR.ATO.GEN.001017"
		context="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-sbrAustralianBusinessNumberItemType" />
</rule>
<!--xsd-datatype-sbrTaxFileNumberItemType-->

<rule
		name="VR.ATO.GEN.001017"
		context="pyid.02.00:Identifiers.TaxFileNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-sbrTaxFileNumberItemType" />
</rule>
</pattern>