﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="ContentCommon" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Generic Content Validations</title>

    <rule abstract="true" id="VR-ATO-GEN-000416">
        <!--
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS SET("- -", """", "  "))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000416" diagnostics="DVR.ATO.GEN.000416" 
                test="not(regexp:test(.,'^(.*)(--|(\x27)(\x27)|  )(.*)$'))"/>
    </rule>

    <rule abstract="true" id="VR-ATO-GEN-000427">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS SET("-_-","'’","  ") )
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000427" diagnostics="DVR.ATO.GEN.000427" 
                test="not(regexp:test(.,'^(.*)(--|(\x27)(\x27)|  )(.*)$'))"/>
    </rule>

  

    <rule abstract="true" id="VR-ATO-GEN-000451">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS SET("-_-","'’","  ") )
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000451" diagnostics="DVR.ATO.GEN.000451" 
                test="not(regexp:test(.,'^(.*)(--|(\x27)(\x27)|  )(.*)$'))"/>
        
    </rule>

    <rule abstract="true" id="VR-ATO-GEN-410201">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("MR","MRS","MISS","MS"))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410201" diagnostics="DVR.ATO.GEN.410201" 
                test="not(
                            regexp:test(.,'^(?i)(MR |MRS |MISS |MS )(.*)$')
                            or
                            regexp:test(.,'^(.*)(?i)( MR | MRS | MISS | MS )(.*)$')
                            or
                            regexp:test(.,'^(.*)(?i)( MR| MRS| MISS| MS)$')
                            or
                            regexp:test(.,'^(?i)(MR|MRS|MISS|MS)$') 
                        )"/>
    </rule>

    <rule abstract="true" id="VR-ATO-GEN-410200">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("Exec for","Rep for","Trustee for"))
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.410200" diagnostics="DVR.ATO.GEN.410200" test="not(
                            regexp:test(.,'^(?i)(Exec for |Rep for |Trustee for )(.*)$') or
                            regexp:test(.,'^(.*)(?i)( Exec for | Rep for | Trustee for )(.*)$') or
                            regexp:test(.,'^(.*)(?i)( Exec for| Rep for| Trustee for)$') or
                            regexp:test(.,'^(?i)(Exec for|Rep for|Trustee for)$'))"/>
    </rule>
</pattern>