﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="DataTypes" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>XBRL DataType Validations that are applicable accross all of the CTR services.</title>

<!-- ID -->

<rule
		context="@id[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-ID" />
</rule>
<!-- Date -->

<rule
		context="xbrli:startDate[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-date" />
</rule>

<rule
		context="xbrli:endDate[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-date" />
</rule>

<rule
		context="xbrli:instant[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-date" />
</rule>

<rule
		context="pyin.02.00:Declaration.Signature.Date[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-date" />
</rule>
<!-- Boolean -->

<rule
		context="pyin.02.00:Lodgment.FinalReturn.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		context="rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		context="gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsIncludesFuel.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		context="rvctc3.02.00:CapitalGainsTax.Event.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		context="rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		context="rvctc3.02.02:Elections.TradingStock.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		context="bafpo2.02.02:Equity.Dividends.UnfrankedNonPortfolioAccountBalance.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		context="rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		context="bafpr1.02.00:Income.InternetSales.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		context="rvctc4.02.00:InternationalDealings.RelatedPartiesTransactions.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		context="rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		context="rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		context="bafpo6.02.05:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		context="rvctc4.02.00:InternationalDealings.ForeignSourceIncomeExcessAggregateValue.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		context="rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		context="pyin.02.00:Declaration.StatementAccepted.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>
<!-- Positive Integer -->

<rule
		context="pyin.02.00:Report.CompletionHours.Number[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-positiveIntegerItemType" />
</rule>
<!-- Decimal -->

<rule
		context="rvctc3.02.00:TaxRate.Designation.Rate[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-decimal" />
</rule>
<!-- Monetary -->

<rule
		context="bafpo1.02.02:Liabilities.CommercialDebtForgiveness.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo1.02.02:Equity.ShareholderFunds.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo2.02.02:Equity.Dividends.FrankedPaid.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="rvctc4.02.01:InternationalDealings.ConduitForeignIncomeBalance.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="rvctc4.02.00:InternationalDealings.ConduitForeignIncomeDistributed.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="rvctc2.02.01:IncomeTax.FrankingCredits.ExcessFrankingOffsets.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo2.02.02:Equity.Dividends.UnfrankedNonPortfolioAccountBalance.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo5.02.01:Assets.LoansAndReceivables.RelatedParties.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.DepreciatingAssets.IntangibleFirstDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.DepreciatingAssets.OtherFirstDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo7.02.02:Assets.DepreciatingAssets.IntangibleTerminationValue.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo7.02.02:Assets.DepreciatingAssets.OtherTerminationValue.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="lrla.02.00:Remuneration.PaymentToRelatedPartiesGross.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Income.InternationalDealings.Net.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="rvctc4.02.01:InternationalDealings.TaxSparedForeignTaxOffset.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="rvctc4.02.00:InternationalDealings.ForeignInvestmentFundsIncomeAttributedForeignIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="rvctc4.02.00:InternationalDealings.ForeignLifeAssurancePolicyAttributedForeignIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr2.02.02:Expense.Interest.NonResidentExemptPaid.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr2.02.02:Expense.Interest.FinancialInstitutionExemptPaid.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Income.FinancialArrangementsUnrealisedGains.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.DepreciatingAssets.SmallBusinessEntityLowCost.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.DepreciatingAssets.SmallBusinessEntityGeneralPool.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Expense.DepreciatingAssets.SmallBusinessEntityLongLifePool.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.04:Income.Total.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Income.Net.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfati.02.00:TaxOffsetClaim.Entrepreneurs.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Income.Insurance.Taxable.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.00:Income.CapitalGainsNet.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Income.Insurance.FeesAndCharges.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Expense.FirstHomeSaverAccountFeesAndCharges.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Income.FirstHomeSaverAccountCreditedNet.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Income.PooledDevelopmentFundsSmallToMediumEnterprises.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Income.PooledDevelopmentFundsUnregulatedInvestment.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.05:Income.RetirementSavingsAccountGross.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Expense.AssetRevaluationsUnrealisedLosses.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.00:Expense.Total.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.00:Expense.Other.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.00:Income.CapitalGainsNet.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Expense.NonDeductibleExemptIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.04:Income.OtherTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Income.AssessableOther.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Expense.NonDeductible.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Expense.FlowOnDividendDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Expense.DepreciationAllowableDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfagc.02.01:TaxConcession.SmallBusinessAndGeneralBusinessTaxBreak.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Expense.CapitalExpenditureImmediateDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Expense.ProjectPoolAllowableDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncludingExtraIncremental.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfagc.02.00:TaxConcession.ImmediateAllowableTaxDeductionLandcareOperationsExpenditureAndDeductionForDeclineInValueOfWaterFacility.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Expense.EnvironmentalProtectionDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Income.Exempt.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Income.NotincludedInAssessableOther.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.04:Expense.DeductibleOther.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="rvctc1.02.00:IncomeTax.TaxLossesTransferredIn.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Income.Taxable.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo7.02.04:Assets.Inventories.Total.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr2.02.02:Expense.Purchases.AndOtherCosts.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo1.02.00:Assets.TradeandReceivablesOther.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo1.02.00:Assets.CurrentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo1.02.00:Assets.Total.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo1.02.00:Liabilities.NonCurrentTradeAndOtherPayables.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo1.02.00:Liabilities.CurrentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo1.02.00:Liabilities.Total.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo1.02.02:Liabilities.DebtTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.05:Income.RetirementSavingsAccountAssessableContributions.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.05:Expense.RetirementSavingsAccountsDeductionTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.05:Income.RetirementSavingsAccountsExempt.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.05:Income.RetirementSavingsAccountsTaxableNet.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfati.02.01:TaxOffsetClaim.FrankingDeficit.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromInvestmentIncomeAndInterest.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditsRefundableOther.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="rvctc1.02.01:IncomeTax.TaxableGross.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfati.02.01:TaxOffsetClaim.OtherRebatesAndTaxOffsets.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="rvctc1.02.01:IncomeTax.Payable.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="rvctc1.02.01:IncomeTax.Total.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr3.02.02:Income.Insurance.Taxable.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr2.02.00:Expense.Operating.RepairsAndMaintenance.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr2.02.00:Expense.Operating.MotorVehicle.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr2.02.02:Expense.Operating.Interest.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr2.02.00:Expense.Operating.Rent.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr2.02.00:Expense.Operating.Lease.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr2.02.00:Expense.Operating.BadDebts.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="emsup.02.02:SuperannuationContribution.EmployerContributions.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="lrla.02.05:Remuneration.WagesAndSalaries.ContractorandConsultantPayments.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr2.02.00:Expense.Operating.CostOfSales.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Expense.ForeignResidentWithholding.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Income.OtherGross.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Income.AssetRevaluationsUnrealisedGains.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.05:Income.DividendsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Income.RentLeasingHiringGross.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr2.02.02:Income.Interest.Gross.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Income.TrustDistributionGross.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr1.02.02:Income.PartnershipDistributionGross.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpr2.02.02:Income.SaleOfGoodsAndServices.Other.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		context="bafpo2.02.02:Equity.Dividends.FrankingAccountBalance.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />
</rule>
<!-- Positive Integer -->

<rule
		context="pyin.02.00:Report.CompletionHours.Number[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-positiveIntegerItemType" />
</rule>
<!-- Enumeration -->

<rule
		context="pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-sbrPostcodeItemType" />
</rule>

<rule
		context="pyde.02.00:ElectronicContact.Telephone.Area.Code[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-sbrTelephoneAreaCodeItemType" />
</rule>

<rule
		context="pyde.02.00:ElectronicContact.Telephone.Minimal.Number[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-sbrTelephoneNumberItemType" />
</rule>

<rule
		context="pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-sbrAustralianCompanyNumberItemType" />
</rule>

<rule
		context="pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-sbrAustralianRegisteredBodyNumberItemType" />
</rule>

<rule
		context="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-sbrAustralianBusinessNumberItemType" />
</rule>

<rule
		context="pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-sbrTaxAgentNumberItemType" />
</rule>

<rule
		context="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-sbrOrganisationNameItemType" />
</rule>

<rule
		context="pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-sbrFamilyNameItemType" />
</rule>

<rule
		context="pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-sbrGivenNameItemType" />
</rule>

<rule
		context="pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-sbrOtherGivenNameItemType" />
</rule>

<rule
		context="pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-sbrPersonFullNameItemType" />
</rule>

<rule
		context="gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-sbrGenericNumericItemType" />
</rule>

<rule
		context="bafpo2.02.00:Equity.ContributedEquity.NonAustralianShareholding.Percent[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xbrli:pureItemType" />
</rule>

<rule
		context="bafpr1.02.00:Income.NonMembers.Percent[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xbrli:pureItemType" />
</rule>
</pattern>