﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="ElementVariables" xmlns="http://purl.oclc.org/dsdl/schematron">

    <title>XBRL element variables that are applicable accross the IDS service.</title>
    <let name="IDS1" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS2" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS5" value="xbrli:xbrl/bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.ForeignCountry.ActivityCode.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS6" value="xbrli:xbrl/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.ForeignCountry.ActivityCode.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS9" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.SpecifiedCountriesTransactions.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS12" value="xbrli:xbrl/bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.SpecifiedCountry.ActivityCode.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS13" value="xbrli:xbrl/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.SpecifiedCountry.ActivityCode.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS16" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.TransactionsTangiblePropertyRevenue.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS17" value="xbrli:xbrl/bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.TangibleRevenue.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS18" value="xbrli:xbrl/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.TangibleRevenue.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS19" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef=$RP.TangibleRevenue.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS20" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.TangibleRevenue.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS21" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.TransactionsRoyaltiesLicenceFees.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS22" value="xbrli:xbrl/bafpr1.02.12:Expense.DeductionsTotal.Amount[@contextRef=$RP.Royalties.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS23" value="xbrli:xbrl/bafpr1.02.12:Income.IncludedInAssessableTotal.Amount[@contextRef=$RP.Royalties.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS24" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef=$RP.Royalties.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS25" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.Royalties.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS26" value="xbrli:xbrl/bafpr1.02.12:Expense.DeductionsTotal.Amount[@contextRef=$RP.LicenceFees.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS27" value="xbrli:xbrl/bafpr1.02.12:Income.IncludedInAssessableTotal.Amount[@contextRef=$RP.LicenceFees.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS28" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef=$RP.LicenceFees.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS29" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.LicenceFees.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS30" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.TransactionsRentLeasing.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS31" value="xbrli:xbrl/bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.RentLease.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS32" value="xbrli:xbrl/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.RentLease.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS33" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef=$RP.RentLease.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS34" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.RentLease.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS35" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.TransactionsServiceArrangements.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS36" value="xbrli:xbrl/bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.TreasuryRelated.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS37" value="xbrli:xbrl/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.TreasuryRelated.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS38" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef=$RP.TreasuryRelated.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS39" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.TreasuryRelated.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS40" value="xbrli:xbrl/bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.ManagementAndAdmin.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS41" value="xbrli:xbrl/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.ManagementAndAdmin.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS42" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef=$RP.ManagementAndAdmin.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS43" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.ManagementAndAdmin.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS44" value="xbrli:xbrl/bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.Insurance.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS45" value="xbrli:xbrl/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.Insurance.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS46" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef=$RP.Insurance.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS47" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.Insurance.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS48" value="xbrli:xbrl/bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.Reinsurance.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS49" value="xbrli:xbrl/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.Reinsurance.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS50" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef=$RP.Reinsurance.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS51" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.Reinsurance.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS52" value="xbrli:xbrl/bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.ResearchAndDevelopment.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS53" value="xbrli:xbrl/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.ResearchAndDevelopment.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS54" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef=$RP.ResearchAndDevelopment.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS55" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.ResearchAndDevelopment.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS56" value="xbrli:xbrl/bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.SalesAndMarketing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS57" value="xbrli:xbrl/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.SalesAndMarketing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS58" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef=$RP.SalesAndMarketing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS59" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.SalesAndMarketing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS60" value="xbrli:xbrl/bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.SoftwareAndITServices.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS61" value="xbrli:xbrl/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.SoftwareAndITServices.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS62" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef=$RP.SoftwareAndITServices.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS63" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.SoftwareAndITServices.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS64" value="xbrli:xbrl/bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.Technical.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS65" value="xbrli:xbrl/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.Technical.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS66" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef=$RP.Technical.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS67" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.Technical.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS68" value="xbrli:xbrl/bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.Logistics.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS69" value="xbrli:xbrl/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.Logistics.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS70" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef=$RP.Logistics.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS71" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.Logistics.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS72" value="xbrli:xbrl/bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.AssetManagement.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS73" value="xbrli:xbrl/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.AssetManagement.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS74" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef=$RP.AssetManagement.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS75" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.AssetManagement.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS76" value="xbrli:xbrl/bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.OtherServices.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS77" value="xbrli:xbrl/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.OtherServices.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS78" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef=$RP.OtherServices.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS79" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.OtherServices.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS80" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.Description.Text[@contextRef=$RP.OtherServices.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS81" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.DerivativeTransactions.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS82" value="xbrli:xbrl/bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.Derivatives.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS83" value="xbrli:xbrl/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.Derivatives.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS84" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef=$RP.Derivatives.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS85" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.Derivatives.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS86" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PrincipalDerivatives.Code[@contextRef=$RP.Derivatives.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS87" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.DerivativesTradingGlobal.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS88" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.DebtFactoringSecuritisation.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS89" value="xbrli:xbrl/bafpr1.02.12:Expense.BookValue.Amount[@contextRef=$RP.DebtFactoring.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS90" value="xbrli:xbrl/bafpr1.02.12:Expense.Consideration.Amount[@contextRef=$RP.DebtFactoring.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS91" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef=$RP.DebtFactoring.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS92" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.DebtFactoring.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS93" value="xbrli:xbrl/bafpr1.02.12:Expense.BookValue.Amount[@contextRef=$RP.Securitisation.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS94" value="xbrli:xbrl/bafpr1.02.12:Expense.Consideration.Amount[@contextRef=$RP.Securitisation.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS95" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef=$RP.Securitisation.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS96" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.Securitisation.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS97" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.OtherFinancialDealings.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS98" value="xbrli:xbrl/bafpo1.02.11:Liabilities.BorrowedAverageBalance.Amount[@contextRef=$RP.OtherFinancialDealings.InterestBearing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS99" value="xbrli:xbrl/bafpo1.02.11:Liabilities.BorrowedAverageBalance.Amount[@contextRef=$RP.OtherFinancialDealings.InterestFree.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS100" value="xbrli:xbrl/bafpo1.02.11:Assets.LoanedAverageBalance.Amount[@contextRef=$RP.OtherFinancialDealings.InterestBearing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS101" value="xbrli:xbrl/bafpo1.02.11:Assets.LoanedAverageBalance.Amount[@contextRef=$RP.OtherFinancialDealings.InterestFree.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS102" value="xbrli:xbrl/bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.OtherInterest.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS103" value="xbrli:xbrl/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.OtherInterest.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS104" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef=$RP.OtherInterest.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS105" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.OtherInterest.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS106" value="xbrli:xbrl/bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.OtherGuarantees.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS107" value="xbrli:xbrl/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.OtherGuarantees.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS108" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef=$RP.OtherGuarantees.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS109" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.OtherGuarantees.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS110" value="xbrli:xbrl/bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.OtherInsurance.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS111" value="xbrli:xbrl/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.OtherInsurance.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS112" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef=$RP.OtherInsurance.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS113" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.OtherInsurance.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS114" value="xbrli:xbrl/bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.OtherReinsurance.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS115" value="xbrli:xbrl/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.OtherReinsurance.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS116" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef=$RP.OtherReinsurance.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS117" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.OtherReinsurance.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS118" value="xbrli:xbrl/bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.OtherFinancialDealings.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS119" value="xbrli:xbrl/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.OtherFinancialDealings.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS120" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef=$RP.OtherFinancialDealings.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS121" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.OtherFinancialDealings.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS122" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.Description.Text[@contextRef=$RP.OtherFinancialDealings.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS123" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.OtherRevenue.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS124" value="xbrli:xbrl/bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.OtherNotReportedRevenue.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS125" value="xbrli:xbrl/bafpr1.02.12:Revenue.Total.Amount[@contextRef=$RP.OtherNotReportedRevenue.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS126" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef=$RP.OtherNotReportedRevenue.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS127" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.OtherNotReportedRevenue.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS128" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.Description.Text[@contextRef=$RP.OtherNotReportedRevenue.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS129" value="xbrli:xbrl/bafot.02.11:Miscellaneous.CapitalNature.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS130" value="xbrli:xbrl/bafpo1.02.11:Assets.ConsiderationPaid.Amount[@contextRef=$RP.OtherNotReportedTangibleNonRevenue.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS131" value="xbrli:xbrl/bafpo1.02.11:Assets.ConsiderationReceived.Amount[@contextRef=$RP.OtherNotReportedTangibleNonRevenue.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS132" value="xbrli:xbrl/bafot.02.11:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code[@contextRef=$RP.OtherNotReportedTangibleNonRevenue.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS133" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.OtherNotReportedTangibleNonRevenue.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS134" value="xbrli:xbrl/bafpo1.02.11:Assets.ConsiderationPaid.Amount[@contextRef=$RP.OtherNotReportedIntangibleNonRevenue.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS135" value="xbrli:xbrl/bafpo1.02.11:Assets.ConsiderationReceived.Amount[@contextRef=$RP.OtherNotReportedIntangibleNonRevenue.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS136" value="xbrli:xbrl/bafot.02.11:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code[@contextRef=$RP.OtherNotReportedIntangibleNonRevenue.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS137" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.OtherNotReportedIntangibleNonRevenue.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS138" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS139" value="xbrli:xbrl/pyde.02.08:OrganisationDetails.InternationalRelatedPartyCountry.Code[@contextRef=$RP.CapitalNoPayment.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS140" value="xbrli:xbrl/bafot.02.11:Miscellaneous.NatureOfItem.Code[@contextRef=$RP.CapitalNoPayment.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS141" value="xbrli:xbrl/pyde.02.08:OrganisationDetails.InternationalRelatedPartyCountry.Code[@contextRef=$RP.RevenueNoPayment.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS142" value="xbrli:xbrl/bafot.02.11:Miscellaneous.NatureOfItem.Code[@contextRef=$RP.RevenueNoPayment.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS143" value="xbrli:xbrl/pyde.02.08:OrganisationDetails.InternationalRelatedPartyCountry.Code[@contextRef=$RP.CapitalNonMonetaryPayment.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS144" value="xbrli:xbrl/bafot.02.11:Miscellaneous.NatureOfItem.Code[@contextRef=$RP.CapitalNonMonetaryPayment.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS145" value="xbrli:xbrl/pyde.02.08:OrganisationDetails.InternationalRelatedPartyCountry.Code[@contextRef=$RP.RevenueNonMonetaryPayment.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS146" value="xbrli:xbrl/bafot.02.11:Miscellaneous.NatureOfItem.Code[@contextRef=$RP.RevenueNonMonetaryPayment.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS147" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.ShareBasedEmployeeRemuneration.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS148" value="xbrli:xbrl/bafpr1.02.12:Expense.DeductionsTotal.Amount[@contextRef=$RP.RechargeAmounts.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS149" value="xbrli:xbrl/bafpr1.02.12:Income.IncludedInAssessableTotal.Amount[@contextRef=$RP.RechargeAmounts.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS150" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.CostContributionArrangements.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS151" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.RestructuringEvents.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS152" value="xbrli:xbrl/pyde.02.09:OrganisationDetails.RestructuringEventEntity.Code[@contextRef=$RP.RestructuringEvent.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS153" value="xbrli:xbrl/bafot.02.11:Miscellaneous.CapitalValue.Code[@contextRef=$RP.RestructuringEvent.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS154" value="xbrli:xbrl/bafot.02.11:Miscellaneous.NatureOfItem.Code[@contextRef=$RP.RestructuringEvent.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS155" value="xbrli:xbrl/pyde.02.08:OrganisationDetails.InternationalRelatedPartyCountry.Code[@contextRef=$RP.RestructuringEvent.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS156" value="xbrli:xbrl/bafot.02.11:Miscellaneous.PercentageOfDealingsWithDocumentation.Code[@contextRef=$RP.RestructuringEvent.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS158" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.EventAnalysis.Indicator[@contextRef=$RP.RestructuringEvent.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS159" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.TransactionsRestructuringEventsAssetRevaluation.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS160" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.BranchOperations.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS161" value="xbrli:xbrl/bafpo1.02.11:Liabilities.BorrowedAverageBalance.Amount[@contextRef=$RP.BranchOperations.InterestBearing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS162" value="xbrli:xbrl/bafpo1.02.11:Assets.LoanedAverageBalance.Amount[@contextRef=$RP.BranchOperations.InterestBearing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS163" value="xbrli:xbrl/bafpr1.02.12:Expense.InterestBorrowedTotal.Amount[@contextRef=$RP.BranchOperations.InterestBearing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS164" value="xbrli:xbrl/bafpr1.02.12:Income.InterestLoanedTotal.Amount[@contextRef=$RP.BranchOperations.InterestBearing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS165" value="xbrli:xbrl/bafpo1.02.11:Liabilities.BorrowedAverageBalance.Amount[@contextRef=$RP.BranchOperations.InterestFree.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS166" value="xbrli:xbrl/bafpo1.02.11:Assets.LoanedAverageBalance.Amount[@contextRef=$RP.BranchOperations.InterestFree.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS167" value="xbrli:xbrl/bafpr1.02.12:Expense.TradingStockPurchaseCosts.Amount[@contextRef=$RP.BranchOperations.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS168" value="xbrli:xbrl/bafpr1.02.12:Income.TradingStockSalesTotal.Amount[@contextRef=$RP.BranchOperations.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS169" value="xbrli:xbrl/bafot.02.11:Miscellaneous.InternallyRecordedDealingsAmountsClaimedTotal.Amount[@contextRef=$RP.BranchOperations.InternallyRecordedDealings.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS170" value="xbrli:xbrl/bafot.02.11:Miscellaneous.InternallyRecordedDealingsAmountsReturnedTotal.Amount[@contextRef=$RP.BranchOperations.InternallyRecordedDealings.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS172" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.FinancialArrangements.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS173" value="xbrli:xbrl/bafpr2.02.12:Expense.Interest.DebtReceivedAverageBalance.Amount[@contextRef=$RP.Quarterly.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS174" value="xbrli:xbrl/bafpr2.02.12:Income.Interest.DebtProvidedAverageBalance.Amount[@contextRef=$RP.Quarterly.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS175" value="xbrli:xbrl/bafpr2.02.12:Expense.Interest.EquityReceivedAverageBalance.Amount[@contextRef=$RP.Quarterly.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS176" value="xbrli:xbrl/bafpr2.02.12:Income.Interest.EquityProvidedAverageBalance.Amount[@contextRef=$RP.Quarterly.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS177" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.TaxationOfFinancialArrangementsRulesApplied.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS178" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.TaxTimingMethodElections.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS184" value="xbrli:xbrl/bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS185" value="xbrli:xbrl/bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.CFCLC.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS186" value="xbrli:xbrl/bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.CFCSP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS187" value="xbrli:xbrl/bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.CFCUC.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS188" value="xbrli:xbrl/bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncome.Amount[@contextRef=$RP.CFCLC.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS189" value="xbrli:xbrl/bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncome.Amount[@contextRef=$RP.CFCSP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS190" value="xbrli:xbrl/bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncome.Amount[@contextRef=$RP.CFCUC.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS191" value="xbrli:xbrl/bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS192" value="xbrli:xbrl/bafpr1.02.12:Income.ControlledForeignCompaniesChangeOfResidenceIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS193" value="xbrli:xbrl/bafpr1.02.12:Income.ControlledForeignCompaniesAndControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS194" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.ControlledForeignCompaniesResidentUnlistedCountryBenefitProvided.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS195" value="xbrli:xbrl/bafpr1.02.12:Income.ForeignBranchOperationsInterestsInForeignCompaniesOrForeignTrusts.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS196" value="xbrli:xbrl/bafpr1.02.12:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCLC.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS197" value="xbrli:xbrl/bafpr1.02.12:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCSP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS198" value="xbrli:xbrl/bafpr1.02.12:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCUC.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS199" value="xbrli:xbrl/bafpr1.02.12:Expense.NonDeductibleExemptIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS200" value="xbrli:xbrl/bafpr1.02.12:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCLC.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS201" value="xbrli:xbrl/bafpr1.02.12:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCSP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS202" value="xbrli:xbrl/bafpr1.02.12:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCUC.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS203" value="xbrli:xbrl/bafpr1.02.12:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCLC.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS204" value="xbrli:xbrl/bafpr1.02.12:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCSP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS205" value="xbrli:xbrl/bafpr1.02.12:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCUC.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS206" value="xbrli:xbrl/rvctc2.02.08:IncomeTax.Deduction.DebtEarningNonAssessableForeignIncome.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS207" value="xbrli:xbrl/rvctc2.02.08:IncomeTax.Deduction.DebtEarningNonAssessableForeignIncomeTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS208" value="xbrli:xbrl/rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS209" value="xbrli:xbrl/rvctc3.02.10:CapitalGainsTax.ActiveForeignBusinessCapitalGains.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS210" value="xbrli:xbrl/rvctc1.02.10:IncomeTax.ActiveForeignBusinessCapitalGainsReduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS211" value="xbrli:xbrl/rvctc3.02.10:CapitalGainsTax.ActiveForeignBusinessCapitalLosses.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS212" value="xbrli:xbrl/rvctc1.02.10:IncomeTax.ActiveForeignBusinessCapitalLossesReduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS213" value="xbrli:xbrl/bafot.02.11:Miscellaneous.TransferPropertyMoneyOrServices.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS214" value="xbrli:xbrl/bafot.02.11:Miscellaneous.TransferPropertyMoneyOrServices.Amount[@contextRef=$RP.TrustExemptionCode.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS216" value="xbrli:xbrl/bafot.02.11:Miscellaneous.NonResidentTrustInterestEntitlementOrBeneficiary.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS217" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ForeignHybridLimitedPartnershipOrForeignHybridCompanyShareholder.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS218" value="xbrli:xbrl/bafot.02.11:Miscellaneous.ForeignHybridLimitedPartnershipOrForeignHybridCompanyInterestIn.Count[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS219" value="xbrli:xbrl/bafpo7.02.11:Assets.Investment.ForeignHybridLimitedPartnershipOrForeignHybridCompanyNetIncomeProfitTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS220" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS221" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.AustralianResidentCompanyElected.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS222" value="xbrli:xbrl/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS223" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.EntityType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS224" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.GeneralToFinancialStatusChange.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS225" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.AveragingMethodAdopted.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS226" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.DeductionDebt.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS227" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.RelatedNonResidentsDebtDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS228" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.DeductionDebtDisallowed.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS229" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.DebtAdjustedAverage.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS230" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.AuthorisedDepositTakingInstitution.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS231" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.EquityCapitalAdjustedAverage.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS232" value="xbrli:xbrl/bafpo6.02.09:Capital.ThinCapitalisation.SafeHarbour.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS233" value="xbrli:xbrl/bafpo6.02.09:Capital.ThinCapitalisation.EquityShortfall.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS234" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.RiskWeightedAssetsAverageValue.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS235" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.EquityCapitalAttributableToOverseasPermanentEstablishments.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS236" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.RiskWeightedAssetsOverseasPermanentEstablishmentsAverageValueTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS237" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.ControlledForeignADIEntityEquityAverageValue.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS238" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.Tier1PrudentialCapitalDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS239" value="xbrli:xbrl/bafpo6.02.09:Capital.ThinCapitalisation.RiskWeightedAssetsAttributableToAustralianPermanentEstablishmentsAverage.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS240" value="xbrli:xbrl/bafpo6.02.09:Capital.ThinCapitalisation.DotationCapitalAverageValue.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS241" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.NonAuthorisedDepositTakingInstitution.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS242" value="xbrli:xbrl/bafpo6.02.09:Capital.ThinCapitalisation.AssetsValueAverage.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS243" value="xbrli:xbrl/bafpo6.02.09:Capital.ThinCapitalisation.AssetRevaluation.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS244" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.DebtMaximumAllowable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS245" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.ExcessDebt.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS246" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.NonDebtLiabilitiesAverageValue.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS247" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.AssociateEntityDebtAverageValue.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS248" value="xbrli:xbrl/bafpo6.02.09:Capital.ThinCapitalisation.AssociateEntityEquityAverageValue.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS249" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.AssociateEntityExcessAverageValue.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS250" value="xbrli:xbrl/bafpo6.02.09:Capital.ThinCapitalisation.ExcludedEquityInterestsAverage.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS251" value="xbrli:xbrl/bafpo6.02.09:Capital.ThinCapitalisation.ZeroCapitalAverage.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS252" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.OnLentAverage.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS253" value="xbrli:xbrl/bafpo6.02.09:Capital.ThinCapitalisation.ControlledForeignNonAuthorisedDepositTakingInstitutionEntityEquityAverageValue.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS254" value="xbrli:xbrl/bafpo6.02.09:Capital.ThinCapitalisation.ControlledForeignEntityDebtAverageValue.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS255" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.ArmsLengthTests.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS256" value="xbrli:xbrl/bafpo6.02.09:Capital.ThinCapitalisation.ArmsLengthDebt.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS257" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.GearingDebtCapitalTest.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS258" value="xbrli:xbrl/bafpo6.02.09:Capital.ThinCapitalisation.WorldwideGroupCapitalRatio.Fraction[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS259" value="xbrli:xbrl/bafpo6.02.09:Capital.ThinCapitalisation.WorldwideCapital.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS260" value="xbrli:xbrl/bafpo6.02.09:Capital.ThinCapitalisation.WorldwideDebtTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS261" value="xbrli:xbrl/bafpo6.02.09:Liabilities.ThinCapitalisation.WorldwideEquity.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS262" value="xbrli:xbrl/bafpo6.02.09:Capital.ThinCapitalisation.WorldwideGearingDebt.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS263" value="xbrli:xbrl/bafot.02.11:FinancialServices.ForeignBankOrQualifyingFinancialEntity.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS264" value="xbrli:xbrl/bafot.02.11:FinancialServices.NotionalAverageBorrowings.Amount[@contextRef=$RP.Quarterly.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS265" value="xbrli:xbrl/bafot.02.11:FinancialServices.NonOffshoreBankingUnitNotionalInterest.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS266" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingUnitNotionalInterest.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS267" value="xbrli:xbrl/bafot.02.11:FinancialServices.NotionalInterestTaxWithholding.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS268" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingUnitOrHeadConsolidatedGroup.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS269" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount[@contextRef=$RP.Borrowing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS270" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount[@contextRef=$RP.Borrowing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS271" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount[@contextRef=$RP.Borrowing.RelatedParty.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS272" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount[@contextRef=$RP.Lending.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS273" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount[@contextRef=$RP.Lending.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS274" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount[@contextRef=$RP.Lending.RelatedParty.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS275" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount[@contextRef=$RP.GuaranteeType.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS276" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount[@contextRef=$RP.GuaranteeType.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS277" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount[@contextRef=$RP.GuaranteeType.RelatedParty.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS278" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount[@contextRef=$RP.Trading.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS279" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount[@contextRef=$RP.Trading.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS280" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount[@contextRef=$RP.Trading.RelatedParty.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS281" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount[@contextRef=$RP.EligibleContract.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS282" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount[@contextRef=$RP.EligibleContract.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS283" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount[@contextRef=$RP.EligibleContract.RelatedParty.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS284" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount[@contextRef=$RP.Investment.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS285" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount[@contextRef=$RP.Investment.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS286" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount[@contextRef=$RP.Investment.RelatedParty.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS287" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount[@contextRef=$RP.Advisory.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS288" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount[@contextRef=$RP.Advisory.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS289" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount[@contextRef=$RP.Advisory.RelatedParty.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS290" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount[@contextRef=$RP.Hedging.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS291" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount[@contextRef=$RP.Hedging.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS292" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount[@contextRef=$RP.Hedging.RelatedParty.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS293" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount[@contextRef=$RP.Other.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS294" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount[@contextRef=$RP.Other.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS295" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount[@contextRef=$RP.Other.RelatedParty.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS296" value="xbrli:xbrl/bafot.02.11:FinancialServices.GeneralOffshoreBankingDeductionAndApportionableOffshoreBankingDeduction.Amount[@contextRef=$RP.GeneralDeduction.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS297" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount[@contextRef=$RP.Total.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS298" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount[@contextRef=$RP.Total.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS299" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount[@contextRef=$RP.Total.RelatedParty.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS300" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount[@contextRef=$RP.Reconciliation.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS301" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount[@contextRef=$RP.Reconciliation.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS302" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount[@contextRef=$RP.Reconciliation.RelatedParty.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS303" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount[@contextRef=$RP.TotalNet.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS304" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount[@contextRef=$RP.TotalNet.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS305" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount[@contextRef=$RP.TotalNet.RelatedParty.ContextId and not(@i:nil='true' or @i:nil='1')]" />
    <let name="IDS306" value="xbrli:xbrl/bafot.02.11:FinancialServices.OffshoreBankingIncomeForeignIncomeTaxEligibleFractionClaimed.Amount[@contextRef=$RP.Division770.ContextId and not(@i:nil='true' or @i:nil='1')]" />

</pattern>
