﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>Content Validations</title>


<rule
		context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.PSI.418001
            
            IF ([PSI7] <> TRUE AND ([PSI8] <> NULL OR [PSI9] <> NULL OR [PSI10] <> NULL))
                RETURN VALIDATION ERROR
            ENDIF
            
            [PSI7] = PSI:RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationEachSourcePSIYieldLessThanPercentageBenchmarkOfTheirTotalPSI.Indicator
            [PSI8] = PSI:RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.UnrelatedClientsTestSatisfied.Indicator
            [PSI9] = PSI:RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.EmploymentTestSatisfied.Indicator
            [PSI10] = PSI:RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.BusinessPremisesTestSatisfied.Indicator
        -->

<assert  id="VR.ATO.PSI.418001" diagnostics="DVR.ATO.PSI.418001" subject="rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationEachSourcePSIYieldLessThanPercentageBenchmarkOfTheirTotalPSI.Indicator" test="not
	                    (
			                rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationEachSourcePSIYieldLessThanPercentageBenchmarkOfTheirTotalPSI.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
	                        and
	                        (	
	                            rvctc2.02.01:IncomeTax.PersonalServicesIncome.UnrelatedClientsTestSatisfied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
	                            or
	                            rvctc2.02.01:IncomeTax.PersonalServicesIncome.EmploymentTestSatisfied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
	                            or
	                            rvctc2.02.01:IncomeTax.PersonalServicesIncome.BusinessPremisesTestSatisfied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
	                        )
	                    )
	                    "></assert>
<!--
            Rule ID: VR.ATO.PSI.418002
            
            IF ([PSI7] = TRUE AND [PSI8] = NULL AND [PSI9] = NULL AND [PSI10] = NULL AND [PSI11] = NULL AND [PSI12] = NULL)                                                          RETURN VALIDATION MESSAGE
            ENDIF
            
            [PSI7] = PSI:RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationEachSourcePSIYieldLessThanPercentageBenchmarkOfTheirTotalPSI.Indicator
            [PSI8] = PSI:RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.UnrelatedClientsTestSatisfied.Indicator
            [PSI9] = PSI:RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.EmploymentTestSatisfied.Indicator
            [PSI10] = PSI:RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.BusinessPremisesTestSatisfied.Indicator
            [PSI11] = PSI:RP:bafpr3.xx.xx:Income.PersonalServicesIncome.TotalDerivedDuringTheYear.Amount
            [PSI12] = PSI:RP:lrla.xx.xx:Remuneration.PersonalServicesIncome.SalaryorWagesPaid.Amount
         -->

<assert  id="VR.ATO.PSI.418002" diagnostics="DVR.ATO.PSI.418002" subject="rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationEachSourcePSIYieldLessThanPercentageBenchmarkOfTheirTotalPSI.Indicator" test="not
	                     (
			                rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationEachSourcePSIYieldLessThanPercentageBenchmarkOfTheirTotalPSI.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
	                        and
	                        count(rvctc2.02.01:IncomeTax.PersonalServicesIncome.UnrelatedClientsTestSatisfied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
	                        and
	                        count(rvctc2.02.01:IncomeTax.PersonalServicesIncome.EmploymentTestSatisfied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
	                        and
	                        count(rvctc2.02.01:IncomeTax.PersonalServicesIncome.BusinessPremisesTestSatisfied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
	                        and
	                        count(bafpr3.02.02:Income.PersonalServicesIncome.TotalDerivedDuringTheYear.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
	                        and
	                        count(lrla.02.00:Remuneration.PersonalServicesIncome.SalaryorWagesPaid.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
	                      )
	                      "></assert>
<!--
            Rule ID: VR.ATO.PSI.418003
            
            IF
	            ( [PSI15]  <>   (  [PSI11]   -  [PSI12]   -  [PSI13]   -  [PSI14]   )  )
	            RETURN VALIDATION MESSAGE
            ENDIF
            
            [PSI15]  = PSI:$RP.ContextId:bafpr3.xx.xx:Income.PersonalServicesIncome.Net.Amount
            [PSI11]  = PSI:$RP.ContextId:bafpr3.xx.xx:Income.PersonalServicesIncome.TotalDerivedDuringTheYear.Amount
            [PSI12]  = PSI:$RP.ContextId:lrla.xx.xx:Remuneration.PersonalServicesIncome.SalaryorWagesPaid.Amount
            [PSI13]  = PSI:$RP.ContextId:bafpr3.xx.xx:Expense.PersonalServicesIncome.PrincipalWorkPaymentsToAssociates.Amount
            [PSI14]  = PSI:$RP.ContextId:bafpr3.xx.xx:Expense.PersonalServicesIncome.OtherDeductionsTotal.Amount
        -->

<assert  id="VR.ATO.PSI.418003" diagnostics="DVR.ATO.PSI.418003" subject="bafpr3.02.02:Income.PersonalServicesIncome.Net.Amount" test="not
	                      (  
                            sum(common:node-set(bafpr3.02.02:Income.PersonalServicesIncome.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                            !=(	
	                        sum(common:node-set(bafpr3.02.02:Income.PersonalServicesIncome.TotalDerivedDuringTheYear.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                        -
	                        sum(common:node-set(lrla.02.00:Remuneration.PersonalServicesIncome.SalaryorWagesPaid.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                        -
	                        sum(common:node-set(bafpr3.02.02:Expense.PersonalServicesIncome.PrincipalWorkPaymentsToAssociates.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                        -
	                        sum(common:node-set(bafpr3.02.02:Expense.PersonalServicesIncome.OtherDeductionsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                        )
	                      )
	                    "></assert>
<!--
           Rule ID: VR.ATO.PSI.418004
        
           IF ([PSI11] <> NULL AND [PSI11] = 0) 
            RETURN VALIDATION MESSAGE 
           ENDIF

          [PSI11] = PSI:RP:bafpr3.xx.xx:Income.PersonalServicesIncome.TotalDerivedDuringTheYear.Amount
        -->

<assert  id="VR.ATO.PSI.418004" diagnostics="DVR.ATO.PSI.418004" subject="bafpr3.02.02:Income.PersonalServicesIncome.TotalDerivedDuringTheYear.Amount" test="not(
			                 bafpr3.02.02:Income.PersonalServicesIncome.TotalDerivedDuringTheYear.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = '0' 
	                        )
	                    "></assert>
<!--
            Rule ID: VR.ATO.PSI.418005
            
            IF ([PSI15] > 0 OR [PSI12] > 0 AND [PSI16] =  NULLORBLANK) 
                RETURN VALIDATION MESSAGE 
            ENDIF
            
            [PSI15] = PSI:RP:bafpr3.02.02:Income.PersonalServicesIncome.Net.Amount
            [PSI12] = PSI:RP:lrla.02.00:Remuneration.PersonalServicesIncome.SalaryorWagesPaid.Amount 
            [PSI16] = PSI:RP:lrla.02.00:Remuneration.PersonalServicesIncome.IndividualsTotal.Count
        -->

<assert  id="VR.ATO.PSI.418005" diagnostics="DVR.ATO.PSI.418005" subject="bafpr3.02.02:Income.PersonalServicesIncome.Net.Amount" test="not(
			                   (
                                number(bafpr3.02.02:Income.PersonalServicesIncome.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
	                            or
                                number(lrla.02.00:Remuneration.PersonalServicesIncome.SalaryorWagesPaid.Amount [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                               )
                               and
	                          count(lrla.02.00:Remuneration.PersonalServicesIncome.IndividualsTotal.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
	                        )
	                    "></assert>
<!--
            Rule ID: VR.ATO.PSI.418007
            
            IF ( ([PSI16] <= 4 AND [PSI16] <> COUNT([PSI18])) OR ([PSI16] > 4 AND COUNT([PSI18]) < 4))
                RETURN VALIDATION MESSAGE 
            ENDIF
            
            [PSI16] = PSI:RP:lrla.02.00:Remuneration.PersonalServicesIncome.IndividualsTotal.Count
            [PSI18] = PSI:RP:lrla.02.00:Remuneration.PersonalServicesIncome.AttributedOrPaidAsWagesAndSalaries.Amount IN TUPLE(psi.001.lodge.req.xx.xx:PersonalServicesIncomeDistributionDetails)
        -->

<assert  id="VR.ATO.PSI.418007" diagnostics="DVR.ATO.PSI.418007" subject="lrla.02.00:Remuneration.PersonalServicesIncome.IndividualsTotal.Count" test="not
                        (
			                (
                                sum(common:node-set(lrla.02.00:Remuneration.PersonalServicesIncome.IndividualsTotal.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &lt;= 4
                               and 
                               count(psi.0001.lodge.request.02.00:PersonalServicesIncomeDistributionDetails/lrla.02.00:Remuneration.PersonalServicesIncome.AttributedOrPaidAsWagesAndSalaries.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                               != 
                               sum(common:node-set(lrla.02.00:Remuneration.PersonalServicesIncome.IndividualsTotal.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            )
                            or
                            (
                                sum(common:node-set(lrla.02.00:Remuneration.PersonalServicesIncome.IndividualsTotal.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 4
                                and 
                                count(psi.0001.lodge.request.02.00:PersonalServicesIncomeDistributionDetails/lrla.02.00:Remuneration.PersonalServicesIncome.AttributedOrPaidAsWagesAndSalaries.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &lt; 4
                            )
                        )"></assert>
<!--
            Rule ID: VR.ATO.PSI.418012
            
            IF  ([PSI4] = FALSE and [PSI5] = NULL) 
                RETURN VALIDATION MESSAGE 
            ENDIF
            
            [PSI4] = PSI:RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator
            [PSI5] = PSI:RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator
        -->

<assert  id="VR.ATO.PSI.418012" diagnostics="DVR.ATO.PSI.418012" subject="rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator" test="not
	                    (
			                rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
	                        and
	                        string-length(rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
	                    )
                        "></assert>
<!--
            Rule ID: VR.ATO.PSI.418013

            IF ([PSI4] = FALSE AND [PSI5] = FALSE AND [PSI6] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [PSI4] = PSI:RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator
            [PSI5] = PSI:RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator
            [PSI6] = PSI:RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationButPassPSIOneSourcePercentageBenchmark.Indicator
        -->

<assert  id="VR.ATO.PSI.418013" diagnostics="DVR.ATO.PSI.418013" subject="rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationButPassPSIOneSourcePercentageBenchmark.Indicator" test="not
	                        (
			                rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
	                        and
	                        rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
	                        and
	                        count(rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationButPassPSIOneSourcePercentageBenchmark.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
	                        )
	                    "></assert>
<!--
            Rule ID: VR.ATO.PSI.418014

            IF ([PSI4] = FALSE AND [PSI5] = FALSE AND [PSI7] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [PSI4] = PSI:RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator
            [PSI5] = PSI:RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator
            [PSI7] = PSI:RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationEachSourcePSIYieldLessThanPercentageBenchmarkOfTheirTotalPSI.Indicator
        -->

<assert  id="VR.ATO.PSI.418014" diagnostics="DVR.ATO.PSI.418014" subject="rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationEachSourcePSIYieldLessThanPercentageBenchmarkOfTheirTotalPSI.Indicator" test="not
	                      (
			                rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
	                        and
	                        rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
	                        and
	                        string-length(rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationEachSourcePSIYieldLessThanPercentageBenchmarkOfTheirTotalPSI.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
	                       )
	                    "></assert>
<!--
            Rule ID: VR.ATO.PSI.418015
            
            IF ([PSI6] = TRUE AND [PSI11] = NULL AND [PSI12] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PSI6] = PSI:RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationButPassPSIOneSourcePercentageBenchmark.Indicator
            [PSI11] = PSI:RP:bafpr3.xx.xx:Income.PersonalServicesIncome.TotalDerivedDuringTheYear.Amount
            [PSI12] = PSI:RP:lrla.xx.xx:Remuneration.PersonalServicesIncome.SalaryorWagesPaid.Amount
        -->

<assert  id="VR.ATO.PSI.418015" diagnostics="DVR.ATO.PSI.418015" subject="bafpr3.02.02:Income.PersonalServicesIncome.TotalDerivedDuringTheYear.Amount" test="not
	                        (
			                  rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationButPassPSIOneSourcePercentageBenchmark.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
	                          and
	                          string-length(bafpr3.02.02:Income.PersonalServicesIncome.TotalDerivedDuringTheYear.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
	                          and
	                          string-length(lrla.02.00:Remuneration.PersonalServicesIncome.SalaryorWagesPaid.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
	                        )
	                     "></assert>
</rule>

<rule
		context="lrla.02.00:Remuneration.PersonalServicesIncome.IndividualsTotal.Count[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.PSI.418016
            
            IF (lrla.xx.xx:Remuneration.PersonalServicesIncome.IndividualsTotal.Count <> SET (1-99)) 
                RETURN VALIDATION MESSAGE 
            ENDIF
        -->

<assert  id="VR.ATO.PSI.418016" diagnostics="DVR.ATO.PSI.418016" test="not(@contextRef = $RP.ContextId and ((.) &lt; 1 or (.) &gt; 99))"></assert>
</rule>

<rule
		context="lrla.02.00:Remuneration.PersonalServicesIncome.Type.Code[not(@i:nil='true' or @i:nil='1')]">

<!--
        Rule ID: VR.ATO.PSI.418017
            
        IF (lrla.xx.xx:Remuneration.PersonalServicesIncome.Type.Code <> SET ("P","A","B"))                                               
            RETURN VALIDATION MESSAGE                 
        ENDIF
        
        [PSI19] = lrla.xx.xx:Remuneration.PersonalServicesIncome.Type.Code
        -->

<assert  id="VR.ATO.PSI.418017" diagnostics="DVR.ATO.PSI.418017" test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or @contextRef != $RP.ContextId or regexp:test(.,'^(P|A|B|p|a|b)$')
                        "></assert>
</rule>

<rule
		context="psi.0001.lodge.request.02.00:PersonalServicesIncomeDistributionDetails[not(@i:nil='true' or @i:nil='1')]">

<!--
        Rule ID: VR.ATO.PSI.418006
            
        IF
	       ( [PSI20]  <>  NULLORBLANK   AND [PSI18]   =   NULL )
	        RETURN VALIDATION MESSAGE
        ENDIF
            
        [PSI20]  = PSI:$RP.ContextId:pyde.xx.xx:PersonNameDetails.FamilyName.Text(IN TUPLE (prsnstrcnm2:PersonNameDetails) WHERE(TUPLE EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = "C" AND pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL"))IN TUPLE (psi.001.lodge.req:PersonalServicesIncomeDistributionDetails))
        [PSI18]  = PSI:$RP.ContextId:lrla.xx.xx:Remuneration.PersonalServicesIncome.AttributedOrPaidAsWagesAndSalaries.Amount(IN TUPLE (psi.001.lodge.req:PersonalServicesIncomeDistributionDetails))
        -->

<assert  id="VR.ATO.PSI.418006" diagnostics="DVR.ATO.PSI.418006" subject="pyde.02.00:PersonNameDetails.FamilyName.Text" test="not
	                          (
			                    not(string-length(prsnstrcnm2.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0)
	                            and
	                            not(lrla.02.00:Remuneration.PersonalServicesIncome.AttributedOrPaidAsWagesAndSalaries.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
	                          )
	                     "></assert>
<!--
        Rule ID: VR.ATO.PSI.418008
        
        IF
	        ( ([PSI17]  <>  NULLORBLANK   OR [PSI18]  <>  NULLORBLANK   OR [PSI21]  <>  NULLORBLANK   OR [PSI22]  <>  NULLORBLANK   )    AND [PSI20]   =   NULLORBLANK )
	        RETURN VALIDATION MESSAGE
        ENDIF
        
        [PSI17]  = PSI:$RP.ContextId:pyid.xx.xx:Identifiers.TaxFileNumber.Identifier(IN TUPLE (psi.001.lodge.req:PersonalServicesIncomeDistributionDetails))
        [PSI18]  = PSI:$RP.ContextId:lrla.xx.xx:Remuneration.PersonalServicesIncome.AttributedOrPaidAsWagesAndSalaries.Amount(IN TUPLE (psi.001.lodge.req:PersonalServicesIncomeDistributionDetails))
        [PSI21]  = PSI:$RP.ContextId:pyde.xx.xx:PersonNameDetails.GivenName.Text(IN TUPLE (prsnstrcnm2:PersonNameDetails) WHERE(TUPLE EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = "C" AND pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL"))IN TUPLE (psi.001.lodge.req:PersonalServicesIncomeDistributionDetails))
        [PSI22]  = PSI:$RP.ContextId:pyde.xx.xx:PersonNameDetails.OtherGivenName.Text(IN TUPLE (prsnstrcnm2:PersonNameDetails) WHERE(TUPLE EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = "C" AND pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL"))IN TUPLE (psi.001.lodge.req:PersonalServicesIncomeDistributionDetails))
        [PSI20]  = PSI:$RP.ContextId:pyde.xx.xx:PersonNameDetails.FamilyName.Text(IN TUPLE (prsnstrcnm2:PersonNameDetails) WHERE(TUPLE EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = "C" AND pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL"))IN TUPLE (psi.001.lodge.req:PersonalServicesIncomeDistributionDetails))
        -->

<assert  id="VR.ATO.PSI.418008" diagnostics="DVR.ATO.PSI.418008" subject="pyde.02.00:PersonNameDetails.FamilyName.Text" test="not
	                    (
            	          (	
	                        not(string-length(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0)
	                        or
	                        not(string-length(lrla.02.00:Remuneration.PersonalServicesIncome.AttributedOrPaidAsWagesAndSalaries.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0)
	                        or
	                        not(string-length(prsnstrcnm2.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0)
	                        or
	                        not(string-length(prsnstrcnm2.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0)
	                      )	
	                        and string-length(prsnstrcnm2.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
	                    )
	                    "></assert>
<!--
        Rule ID: VR.ATO.PSI.418009
        IF
	        ( [PSI22]  <>  NULLORBLANK   AND [PSI21]   =   NULLORBLANK )
	        RETURN VALIDATION MESSAGE
        ENDIF
        
        [PSI22]  = PSI:$RP.ContextId:pyde.xx.xx:PersonNameDetails.OtherGivenName.Text(IN TUPLE (prsnstrcnm2:PersonNameDetails) WHERE(TUPLE EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = "C" AND pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL"))IN TUPLE (psi.001.lodge.req:PersonalServicesIncomeDistributionDetails))
        [PSI21]  = PSI:$RP.ContextId:pyde.xx.xx:PersonNameDetails.GivenName.Text(IN TUPLE (prsnstrcnm2:PersonNameDetails) WHERE(TUPLE EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = "C" AND pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL"))IN TUPLE (psi.001.lodge.req:PersonalServicesIncomeDistributionDetails))
        -->

<assert  id="VR.ATO.PSI.418009" diagnostics="DVR.ATO.PSI.418009" subject="pyde.02.00:PersonNameDetails.OtherGivenName.Text" test="not
	                      (
			                not(string-length(prsnstrcnm2.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0)
	                        and
	                        string-length(prsnstrcnm2.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
	                      )
	                    "></assert>
<!--    
        Rule ID: VR.ATO.PSI.418010
        
        IF ([PSI18] <> NULL AND [PSI19] = NULLORBLANK) 
            RETURN VALIDATION MESSAGE 
        ENDIF
        
        [PSI18] = PSI:RP:lrla.xx.xx:Remuneration.PersonalServicesIncome.AttributedOrPaidAsWagesAndSalaries.Amount IN TUPLE(psi.001.lodge.req.xx.xx:PersonalServicesIncomeDistributionDetails)
        [PSI19] = PSI:RP:lrla.xx.xx:Remuneration.PersonalServicesIncome.Type.Code IN TUPLE(psi.001.lodge.req.xx.xx:PersonalServicesIncomeDistributionDetails)
        -->

<assert  id="VR.ATO.PSI.418010" diagnostics="DVR.ATO.PSI.418010" subject="lrla.02.00:Remuneration.PersonalServicesIncome.AttributedOrPaidAsWagesAndSalaries.Amount" test="not
	                     (
			                count(lrla.02.00:Remuneration.PersonalServicesIncome.AttributedOrPaidAsWagesAndSalaries.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
	                        and
	                        string-length(lrla.02.00:Remuneration.PersonalServicesIncome.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
	                     )
	                    "></assert>
<!--   
        Rule ID: VR.ATO.PSI.418011
        
        IF ([PSI18] = NULL AND [PSI19] <> NULLORBLANK)        
	        RETURN VALIDATION MESSAGE
        ENDIF
        
        [PSI18]  = PSI:$RP.ContextId:lrla.xx.xx:Remuneration.PersonalServicesIncome.AttributedOrPaidAsWagesAndSalaries.Amount(IN TUPLE (psi.001.lodge.req:PersonalServicesIncomeDistributionDetails))
        [PSI19]  = PSI:$RP.ContextId:lrla.xx.xx:Remuneration.PersonalServicesIncome.Type.Code(IN TUPLE (psi.001.lodge.req:PersonalServicesIncomeDistributionDetails))
        -->

<assert  id="VR.ATO.PSI.418011" diagnostics="DVR.ATO.PSI.418011" subject="lrla.02.00:Remuneration.PersonalServicesIncome.AttributedOrPaidAsWagesAndSalaries.Amount" test="not
	                     (
			               count(lrla.02.00:Remuneration.PersonalServicesIncome.AttributedOrPaidAsWagesAndSalaries.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
	                       and
	                       string-length(lrla.02.00:Remuneration.PersonalServicesIncome.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
	                     )"></assert>
<!--     
        Rule ID: VR.ATO.GEN.418019

        IF (pyid.xx.xx:Identifiers.TaxFileNumber.Identifier <> NULLORBLANK) AND (TFNALGORITHM(pyid.xx.xx:Identifiers.TaxFileNumber.Identifier) = FALSE)
            RETURN VALIDATION MESSAGE
        ENDIF            
        -->

<assert  id="VR.ATO.GEN.418019" diagnostics="DVR.ATO.GEN.418019" subject="pyid.02.00:Identifiers.TaxFileNumber.Identifier" test="not( count(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                               and
                               not(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and function:ValidateTFN(.)])
                             )"></assert>
</rule>

<rule
		context="prsnstrcnm2.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]">

<!--
        Rule ID: VR.ATO.PSI.418021
        
        IF ([PSI20] <> NULLORBLANK AND [PSI24] <> 'LGL') 
            RETURN VALIDATION MESSAGE
        END IF

        [PSI20] = PSI:RP:pyde.xx.xx:PersonNameDetails.FamilyName.Text WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = "C")) IN TUPLE(prsnstrcnm2.xx.xx:PersonNameDetails)
        [PSI24] = PSI:RP:pyde.xx.xx:PersonNameDetails.PersonNameType.Code WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = "C") IN TUPLE(prsnstrcnm2.xx.xx:PersonNameDetails)
        -->

<assert  id="VR.ATO.PSI.418021" diagnostics="DVR.ATO.PSI.418021" subject="pyde.02.00:PersonNameDetails.FamilyName.Text" test="not
	                      (
                           string-length(pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                           and 
                           pyde.02.00:PersonNameDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'C'
                           and
                           Exslt.ExsltStrings:uppercase(pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) != 'LGL'
			              )"></assert>
</rule>

<rule
		context="orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">

<!--
        Rule ID: VR.ATO.PSI.4180020
        
        IF ([PSI2] <> NULLORBLANK AND [PSI23] <> 'MN') 
            RETURN VALIDATION MESSAGE
        END IF
        
        [PSI2] = PSI:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") IN TUPLE(orgname1.xx.xx:OrganisationNameDetails)
        [PSI23] = PSI:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code IN TUPLE(orgname1.xx.xx:OrganisationNameDetails)
        -->

<assert  id="VR.ATO.PSI.418020" diagnostics="DVR.ATO.PSI.418020" subject="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text" test="not 
                          (
                           string-length(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                           and
                           Exslt.ExsltStrings:uppercase(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) != 'MN'
                           )
	                     "></assert>
</rule>
<!-- xsd-datatype-VR.ATO.GEN.410040, 000423, 000427, 410200, 410201, 428231 -->

<rule
		name="VR.ATO.GEN.410040"
		context="prsnstrcnm2.02.00:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="VR-ATO-GEN-410040" />
<extends
			rule="VR-ATO-GEN-000423" />
<extends
			rule="VR-ATO-GEN-000427" />
<extends
			rule="VR-ATO-GEN-410200" />
<extends
			rule="VR-ATO-GEN-410201" />
<extends
			rule="VR-ATO-GEN-428231" />
</rule>
<!-- xsd-datatype-VR.ATO.GEN.000434, 000439, 410063  -->

<rule
		name="VR.ATO.GEN.000434"
		context="prsnstrcnm2.02.00:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="VR-ATO-GEN-000434" />
<extends
			rule="VR-ATO-GEN-000439" />
<extends
			rule="VR-ATO-GEN-410063" />
<extends
			rule="VR-ATO-GEN-410202" />
<extends
			rule="VR-ATO-GEN-410203" />
<extends
			rule="VR-ATO-GEN-410204" />
</rule>
<!-- xsd-datatype-VR.ATO.GEN.000446, 000451, 410131, 410207, 410208, 410209 -->

<rule
		name="VR.ATO.GEN.000446"
		context="prsnstrcnm2.02.00:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="VR-ATO-GEN-000446" />
<extends
			rule="VR-ATO-GEN-000451" />
<extends
			rule="VR-ATO-GEN-410131" />
<extends
			rule="VR-ATO-GEN-410207" />
<extends
			rule="VR-ATO-GEN-410208" />
<extends
			rule="VR-ATO-GEN-410209" />
</rule>
</pattern>