﻿<?xml version="1.0" encoding="utf-8"?><xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:regexp="http://exslt.org/regular-expressions" xmlns:function="http://www.ato.gov.au/IS/2009/02" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:Exslt.ExsltStrings="http://gotdotnet.com/exslt/strings" xmlns:common="http://exslt.org/common" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:sbdh="http://sbr.gov.au/comn/sbdm.02.data" xmlns:core="http://sbr.gov.au/comn/core.02.data" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:bafpo6.02.05="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.05.data" xmlns:bafpo7.02.04="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.04.data" xmlns:bafpr1.02.00="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.00.data" xmlns:bafpr1.02.04="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data" xmlns:bafpr2.02.00="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.00.data" xmlns:bafpr3.02.02="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.02.data" xmlns:rvctc1.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.00.data" xmlns:rvctc2.02.01="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.01.data" xmlns:rvctc3.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data" xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" xmlns:orgname1.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:pyde.02.05="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data" xmlns:lrla.02.00="http://sbr.gov.au/icls/lr/lrla/lrla.02.00.data" xmlns:service="http://sbr.gov.au/comn/lodge.02.service" xmlns:prsnunstrcnm1.02.01="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module" xmlns:prsnstrcnm2.02.00="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname2.02.00.module" xmlns:prsnstrcnm3.02.01="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module" xmlns:declaration2.02.00="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.00.module" xmlns:declaration2.02.01="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module" xmlns:rvctc4.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.02.data" xmlns:rvctc4.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.03.data" xmlns:psi.0001.lodge.request.02.00="http://sbr.gov.au/rprt/ato/psi/psi.0001.lodge.request.02.00.report"><!--
      Implementers: please note that overriding process-prolog or process-root is
      the preferred method for meta-stylesheets to use where possible.
    -->
<xsl:param name="archiveDirParameter" /><xsl:param name="archiveNameParameter" /><xsl:param name="fileNameParameter" /><xsl:param name="fileDirParameter" />

<!--PHASES-->


<!--PROLOG-->
<xsl:variable name="Apostrophe">'</xsl:variable>
        <msxsl:script language="C#" implements-prefix="function">

        public bool IsDate(string dateToCheck)
        {
            DateTime dt;
            return DateTime.TryParse(dateToCheck, out dt);
        }

        public bool IsInt(string intToCheck)
        {
            Int32 i;
            return Int32.TryParse(intToCheck, out i);
        }

        public bool IsLong(string longToCheck)
        {
            long l;
            return long.TryParse(longToCheck, out l);
        }

    public bool IsDate1GreaterThanDate2(string date1, string date2)
    {
        bool b = false;
        
        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) > DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public bool IsDate1GreaterOrEqualToDate2(string date1, string date2)
    {
        bool b = false;

        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) >= DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public int GetDateYear(string date)
    {
      int year = 0;

      if (IsDate(date))
      {
        year = DateTime.Parse(date).Year;
      }

      return year;
    }

    public int DateToFinancialYear(DateTime date)
    {
        return DateToFinancialYear(date, 7);
    }

    public int DateToFinancialYear(DateTime date, int financialYearStartMonth)
    {
        return financialYearStartMonth > date.Month ? date.Year : date.Year + 1;
    }

    public bool ValidateABN(string abn)
    {
      string cleanABN = abn.Replace(" ", string.Empty);
           
      if (cleanABN.Length != 11)
          return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanABN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 10, 1, 3, 5, 7, 9, 11, 13, 15, 17, 19 };
      int weightedSum = (Int32.Parse(cleanABN[0].ToString()) - 1) * weighingFactors[0];

      for (int i = cleanABN.Length; i > 1; i--)
      {
          weightedSum += Int32.Parse(cleanABN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 89;
      return (remainder == 0);
    }

    public bool ValidateTAN(string tan)
    {
      string cleanTAN = tan.Replace(" ", string.Empty);
      if (cleanTAN.Length != 8)
        return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanTAN, out result);
      if (!convertOK)
      {
        return false;
      }

      int[] weighingFactors = {7,9,8,4,6,3,5,1};
      int weightedSum = 0;
      for (int i = cleanTAN.Length; i > 0; i--)
      {
        weightedSum += Int32.Parse(cleanTAN[i-1].ToString()) * weighingFactors[i-1];
      }

      int remainder = weightedSum % 11;
      return (remainder == 0);
    }

    public static bool ValidateTFN(string tfn)
    {
      bool isValid = false;
      string cleanTFN = tfn.Replace(" ", string.Empty).TrimStart(new char[] {'0'});
      
      if (cleanTFN.Length == 8 || cleanTFN.Length == 9)
      {
          cleanTFN = cleanTFN.Length == 8 ? cleanTFN.Insert(7, "0") : cleanTFN;

          Int64 result;
          bool convertOK = Int64.TryParse(cleanTFN, out result);

          if (convertOK)
          {
              int[] weighingFactors = { 1, 4, 3, 7, 5, 8, 6, 9, 10 };
              int weightedSum = 0;

              for (int i = cleanTFN.Length; i > 0; i--)
              {
                  weightedSum += Int32.Parse(cleanTFN[i - 1].ToString()) * weighingFactors[i - 1];
              }

              isValid = (weightedSum % 11 == 0);
          }
      }

      return isValid;
    }

    public static bool ValidateACN(string acn)
    {
      string cleanACN = acn.Replace(" ", string.Empty);
      if (cleanACN.Length != 9)
      {
          return false;
      }

      Int64 result;
      bool convertOK = Int64.TryParse(cleanACN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 8, 7, 6, 5, 4, 3, 2, 1 };
      int checkDigit = Int32.Parse(cleanACN[8].ToString());

      int weightedSum = 0;
      for (int i = cleanACN.Length - 1; i > 0; i--)
      {
          weightedSum += Int32.Parse(cleanACN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 10;
      return checkDigit == (10 - remainder) % 10;
    }

        public int GetFBTYear(string date)
        {
            int fbtYear = 0;
            if (IsDate(date))
            {
                DateTime dateTime = DateTime.Parse(date);
                int year = dateTime.Year;
                if (dateTime.Month > 3)
                {
                    fbtYear = year + 1;
                }
                else
                {
                    fbtYear = year;
                }
            }
            return fbtYear;
        }
        public int GetCurrentFBTYear()
        {
            return GetFBTYear(DateTime.Now.ToString("yyyy-MM-dd"));
        }

        
        </msxsl:script>
        <xsl:output method="xml" omit-xml-declaration="no" standalone="yes" indent="no" xmlns:isns="http://www.ato.gov.au/IS/2009/02" />

<!--KEYS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path" /><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()" /><xsl:variable name="p_1" select="1+    count(preceding-sibling::*[name()=name(current())])" /><xsl:if test="$p_1&gt;1 or following-sibling::*[name()=name(current())]">[<xsl:value-of select="$p_1" />]</xsl:if></xsl:when><xsl:otherwise><xsl:text>*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text><xsl:variable name="p_2" select="1+   count(preceding-sibling::*[local-name()=local-name(current())])" /><xsl:if test="$p_2&gt;1 or following-sibling::*[local-name()=local-name(current())]">[<xsl:value-of select="$p_2" />]</xsl:if></xsl:otherwise></xsl:choose></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
          @<xsl:value-of select="name()" /></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path" /><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')" /></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')" /></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')" /></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.@', name())" /></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')" /></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
      This mode can be used to generate prefixed XPath for humans
      (Top-level element has index)
    -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*" /></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>n</xsl:text><xsl:number count="node()" /></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))" /><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')" /></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1" />

<!--SCHEMA METADATA-->
<xsl:template match="/"><ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:apply-templates select="/" mode="M53" /><xsl:apply-templates select="/" mode="M55" /></ProcessMessages></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
        PATTERN VariablesXBRL Context Id variables that are applicable accross all of the PIS services.-->
<xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]            ]" /><xsl:variable name="RP.ContextId" select="$RP.Context/@id" /><xsl:variable name="INT.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/               xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:Intermediary$')]            ]" /><xsl:variable name="INT.ContextId" select="$INT.Context/@id" /><xsl:template match="text()" priority="-1" mode="M53" /><xsl:template match="@*|node()" priority="-2" mode="M53"><xsl:apply-templates select="@*|*" mode="M53" /></xsl:template>

<!--
        PATTERN ContentContent Validations-->


	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1008" mode="M55">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not                      (                    rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationEachSourcePSIYieldLessThanPercentageBenchmarkOfTheirTotalPSI.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]                          and                          (                               rvctc2.02.01:IncomeTax.PersonalServicesIncome.UnrelatedClientsTestSatisfied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                              or                              rvctc2.02.01:IncomeTax.PersonalServicesIncome.EmploymentTestSatisfied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                              or                              rvctc2.02.01:IncomeTax.PersonalServicesIncome.BusinessPremisesTestSatisfied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                          )                      )                      " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSI.418001</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationEachSourcePSIYieldLessThanPercentageBenchmarkOfTheirTotalPSI.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not                       (                    rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationEachSourcePSIYieldLessThanPercentageBenchmarkOfTheirTotalPSI.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]                          and                          count(rvctc2.02.01:IncomeTax.PersonalServicesIncome.UnrelatedClientsTestSatisfied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                          and                          count(rvctc2.02.01:IncomeTax.PersonalServicesIncome.EmploymentTestSatisfied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                          and                          count(rvctc2.02.01:IncomeTax.PersonalServicesIncome.BusinessPremisesTestSatisfied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                          and                          count(bafpr3.02.02:Income.PersonalServicesIncome.TotalDerivedDuringTheYear.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                          and                          count(lrla.02.00:Remuneration.PersonalServicesIncome.SalaryorWagesPaid.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                        )                        " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSI.418002</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationEachSourcePSIYieldLessThanPercentageBenchmarkOfTheirTotalPSI.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not                        (                               sum(common:node-set(bafpr3.02.02:Income.PersonalServicesIncome.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))                              !=(                           sum(common:node-set(bafpr3.02.02:Income.PersonalServicesIncome.TotalDerivedDuringTheYear.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))                          -                          sum(common:node-set(lrla.02.00:Remuneration.PersonalServicesIncome.SalaryorWagesPaid.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))                          -                          sum(common:node-set(bafpr3.02.02:Expense.PersonalServicesIncome.PrincipalWorkPaymentsToAssociates.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))                          -                          sum(common:node-set(bafpr3.02.02:Expense.PersonalServicesIncome.OtherDeductionsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))                          )                        )                      " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSI.418003</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr3.02.02:Income.PersonalServicesIncome.Net.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                     bafpr3.02.02:Income.PersonalServicesIncome.TotalDerivedDuringTheYear.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = '0'                           )                      " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSI.418004</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr3.02.02:Income.PersonalServicesIncome.TotalDerivedDuringTheYear.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                       (                                 number(bafpr3.02.02:Income.PersonalServicesIncome.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                              or                                 number(lrla.02.00:Remuneration.PersonalServicesIncome.SalaryorWagesPaid.Amount [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                                )                                and                            count(lrla.02.00:Remuneration.PersonalServicesIncome.IndividualsTotal.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0                          )                      " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSI.418005</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr3.02.02:Income.PersonalServicesIncome.Net.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not                         (                    (                                 sum(common:node-set(lrla.02.00:Remuneration.PersonalServicesIncome.IndividualsTotal.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &lt;= 4                                and                                 count(psi.0001.lodge.request.02.00:PersonalServicesIncomeDistributionDetails/lrla.02.00:Remuneration.PersonalServicesIncome.AttributedOrPaidAsWagesAndSalaries.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                                 !=                                 sum(common:node-set(lrla.02.00:Remuneration.PersonalServicesIncome.IndividualsTotal.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))                             )                             or                             (                                 sum(common:node-set(lrla.02.00:Remuneration.PersonalServicesIncome.IndividualsTotal.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 4                                 and                                  count(psi.0001.lodge.request.02.00:PersonalServicesIncomeDistributionDetails/lrla.02.00:Remuneration.PersonalServicesIncome.AttributedOrPaidAsWagesAndSalaries.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &lt; 4                             )                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSI.418007</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/lrla.02.00:Remuneration.PersonalServicesIncome.IndividualsTotal.Count</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not                      (                    rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]                          and                          string-length(rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0                      )                         " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSI.418012</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not                          (                    rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]                          and                          rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]                          and                          count(rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationButPassPSIOneSourcePercentageBenchmark.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                          )                      " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSI.418013</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationButPassPSIOneSourcePercentageBenchmark.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not                        (                    rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]                          and                          rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]                          and                          string-length(rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationEachSourcePSIYieldLessThanPercentageBenchmarkOfTheirTotalPSI.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                         )                      " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSI.418014</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationEachSourcePSIYieldLessThanPercentageBenchmarkOfTheirTotalPSI.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not                          (                      rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationButPassPSIOneSourcePercentageBenchmark.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]                            and                            string-length(bafpr3.02.02:Income.PersonalServicesIncome.TotalDerivedDuringTheYear.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0                            and                            string-length(lrla.02.00:Remuneration.PersonalServicesIncome.SalaryorWagesPaid.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0                          )                       " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSI.418015</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr3.02.02:Income.PersonalServicesIncome.TotalDerivedDuringTheYear.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M55" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="lrla.02.00:Remuneration.PersonalServicesIncome.IndividualsTotal.Count[not(@i:nil='true' or @i:nil='1')]" priority="1007" mode="M55">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef = $RP.ContextId and ((.) &lt; 1 or (.) &gt; 99))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSI.418016</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M55" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="lrla.02.00:Remuneration.PersonalServicesIncome.Type.Code[not(@i:nil='true' or @i:nil='1')]" priority="1006" mode="M55">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or @contextRef != $RP.ContextId or regexp:test(.,'^(P|A|B|p|a|b)$')                         " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSI.418017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M55" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="psi.0001.lodge.request.02.00:PersonalServicesIncomeDistributionDetails[not(@i:nil='true' or @i:nil='1')]" priority="1005" mode="M55">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not                            (                        not(string-length(prsnstrcnm2.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0)                              and                              not(lrla.02.00:Remuneration.PersonalServicesIncome.AttributedOrPaidAsWagesAndSalaries.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                            )                       " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSI.418006</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not                      (                        (                           not(string-length(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0)                          or                          not(string-length(lrla.02.00:Remuneration.PersonalServicesIncome.AttributedOrPaidAsWagesAndSalaries.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0)                          or                          not(string-length(prsnstrcnm2.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0)                          or                          not(string-length(prsnstrcnm2.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0)                        )                           and string-length(prsnstrcnm2.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0                      )                      " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSI.418008</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not                        (                    not(string-length(prsnstrcnm2.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0)                          and                          string-length(prsnstrcnm2.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0                        )                      " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSI.418009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonNameDetails.OtherGivenName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not                       (                    count(lrla.02.00:Remuneration.PersonalServicesIncome.AttributedOrPaidAsWagesAndSalaries.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                          and                          string-length(lrla.02.00:Remuneration.PersonalServicesIncome.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0                       )                      " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSI.418010</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/lrla.02.00:Remuneration.PersonalServicesIncome.AttributedOrPaidAsWagesAndSalaries.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not                       (                   count(lrla.02.00:Remuneration.PersonalServicesIncome.AttributedOrPaidAsWagesAndSalaries.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                         and                         string-length(lrla.02.00:Remuneration.PersonalServicesIncome.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSI.418011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/lrla.02.00:Remuneration.PersonalServicesIncome.AttributedOrPaidAsWagesAndSalaries.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not( count(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0                                and                                not(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and function:ValidateTFN(.)])                              )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.418019</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyid.02.00:Identifiers.TaxFileNumber.Identifier</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M55" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="prsnstrcnm2.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]" priority="1004" mode="M55">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not                        (                            string-length(pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                            and                             pyde.02.00:PersonNameDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'C'                            and                            Exslt.ExsltStrings:uppercase(pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) != 'LGL'                  )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSI.418021</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M55" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M55">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not                            (                            string-length(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0                            and                            Exslt.ExsltStrings:uppercase(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) != 'MN'                            )                       " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSI.418020</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M55" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="prsnstrcnm2.02.00:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M55">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef != $RP.ContextId or not(regexp:test(.,'^(.*)[a-zA-Z](.*)$')))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410040</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef != $RP.ContextId or regexp:test(.,'^(.*) - (.*)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000423</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef != $RP.ContextId or regexp:test(.,'^(.*)(--|(\x27)(\x27)|  )(.*)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000427</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             regexp:test(.,'^(?i)(Exec for |Rep for |Trustee for )(.*)$')                             or                             regexp:test(.,'^(.*)(?i)( Exec for | Rep for | Trustee for )(.*)$')                             or                             regexp:test(.,'^(.*)(?i)( Exec for| Rep for| Trustee for)$')                             or                             regexp:test(.,'^(?i)(Exec for|Rep for|Trustee for)$')                          )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000424</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             regexp:test(.,'^(?i)(MR |MRS |MISS |MS )(.*)$')                             or                             regexp:test(.,'^(.*)(?i)( MR | MRS | MISS | MS )(.*)$')                             or                             regexp:test(.,'^(.*)(?i)( MR| MRS| MISS| MS)$')                             or                             regexp:test(.,'^(?i)(MR|MRS|MISS|MS)$')                          )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000426</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             regexp:test(.,'^(?i)(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$')                             or                             regexp:test(.,'^(.*)(?i)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$')                             or                             regexp:test(.,'^(.*)(?i)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$')                             or                             regexp:test(.,'^(?i)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$')                          )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000422</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M55" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="prsnstrcnm2.02.00:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M55">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef != $RP.ContextId or regexp:test(.,'^(.*) - (.*)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000434</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef != $RP.ContextId or regexp:test(.,'^(.*)(--|(\x27)(\x27)|  )(.*)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000439</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef != $RP.ContextId or not(regexp:test(.,'^(.*)[a-zA-Z](.*)$')))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410063</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             regexp:test(.,'^(?i)(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$')                             or                             regexp:test(.,'^(.*)(?i)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$')                             or                             regexp:test(.,'^(.*)(?i)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$')                             or                             regexp:test(.,'^(?i)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$')                           )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000436</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             regexp:test(.,'^(?i)(Exec for |Rep for |Trustee for )(.*)$')                             or                             regexp:test(.,'^(.*)(?i)( Exec for | Rep for | Trustee for )(.*)$')                             or                             regexp:test(.,'^(.*)(?i)( Exec for| Rep for| Trustee for)$')                             or                             regexp:test(.,'^(?i)(Exec for|Rep for|Trustee for)$')                                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000437</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             regexp:test(.,'^(?i)(MR |MRS |MISS |MS )(.*)$')                             or                             regexp:test(.,'^(.*)(?i)( MR | MRS | MISS | MS )(.*)$')                             or                             regexp:test(.,'^(.*)(?i)( MR| MRS| MISS| MS)$')                             or                             regexp:test(.,'^(?i)(MR|MRS|MISS|MS)$')                          )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000438</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M55" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="prsnstrcnm2.02.00:PersonNameDetails/pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M55">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef != $RP.ContextId or regexp:test(.,'^(.*) - (.*)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000446</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef != $RP.ContextId or regexp:test(.,'^(.*)(--|(\x27)(\x27)|  )(.*)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000451</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef != $RP.ContextId or not(regexp:test(.,'^(.*)[a-zA-Z](.*)$')))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410131</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             regexp:test(.,'^(?i)(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$')                             or                             regexp:test(.,'^(.*)(?i)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$')                             or                             regexp:test(.,'^(.*)(?i)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$')                             or                             regexp:test(.,'^(?i)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$')                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000448</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             regexp:test(.,'^(?i)(Exec for |Rep for |Trustee for )(.*)$')                             or                             regexp:test(.,'^(.*)(?i)( Exec for | Rep for | Trustee for )(.*)$')                             or                             regexp:test(.,'^(.*)(?i)( Exec for| Rep for| Trustee for)$')                             or                             regexp:test(.,'^(?i)(Exec for|Rep for|Trustee for)$')                                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000449</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             regexp:test(.,'^(?i)(MR |MRS |MISS |MS )(.*)$')                             or                             regexp:test(.,'^(.*)(?i)( MR | MRS | MISS | MS )(.*)$')                             or                             regexp:test(.,'^(.*)(?i)( MR| MRS| MISS| MS)$')                             or                             regexp:test(.,'^(?i)(MR|MRS|MISS|MS)$')                          )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000450</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M55" /></xsl:template><xsl:template match="text()" priority="-1" mode="M55" /><xsl:template match="@*|node()" priority="-2" mode="M55"><xsl:apply-templates select="@*|*" mode="M55" /></xsl:template></xsl:stylesheet>