﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>RDTIS Content Validations</title>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [RDTIS22] <> NULL AND [RDTIS22] <> ([RDTIS4] + [RDTIS6] + [RDTIS8] + [RDTIS10] + [RDTIS12] + [RDTIS14] + [RDTIS16] + [RDTIS18] + [RDTIS20])
               RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS4] = RDTIS:RP.CTAUS:bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureResearchServiceProvider.Amount
            [RDTIS6] = RDTIS:RP.CTAUS:bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureNonResearchServiceProvider.Amount
            [RDTIS8] = RDTIS:RP.CTAUS:lrla.02.12:Remuneration.WagesAndSalaries.Salary.Amount
            [RDTIS10] = RDTIS:RP.CTAUS:bafpr3.02.08:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount
            [RDTIS12] = RDTIS:RP.CTAUS:bafpr3.02.08:Expense.ResearchAndDevelopment.Feedstock.Amount
            [RDTIS14] = RDTIS:RP.CTAUS:bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesExpenditure.Amount
            [RDTIS16] = RDTIS:RP.CTAUS:bafpr3.02.08:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount
            [RDTIS18] = RDTIS:RP.CTAUS:bafpr3.02.08:Expense.ResearchAndDevelopment.BalancingLosses.Amount
            [RDTIS20] = RDTIS:RP.CTAUS:bafpr3.02.08:Expense.ResearchAndDevelopment.CooperativeResearchCentreContributions.Amount
           
            


        -->
        <assert id="VR.ATO.RDTIS.438021" diagnostics="DVR.ATO.RDTIS.438021"
                     test="not(
                               bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                               and
                               round(bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')] * 100)
                               !=
                               round(sum(common:node-set(
                                 bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureResearchServiceProvider.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                               |bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureNonResearchServiceProvider.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                               | lrla.02.12:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                               | bafpr3.02.08:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                               | bafpr3.02.08:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                               | bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesExpenditure.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                               | bafpr3.02.08:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                               | bafpr3.02.08:Expense.ResearchAndDevelopment.BalancingLosses.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                               | bafpr3.02.08:Expense.ResearchAndDevelopment.CooperativeResearchCentreContributions.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100))"/>

        <!--
            IF [RDTIS23] <> NULL AND [RDTIS23] <> ([RDTIS5] + [RDTIS7] + [RDTIS9] + [RDTIS11] + [RDTIS13] + [RDTIS15] + [RDTIS17] + [RDTIS19] + [RDTIS21])
            RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS5] = RDTIS:RP.CTFOR:bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureResearchServiceProvider.Amount
            [RDTIS7] = RDTIS:RP.CTFOR:bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureNonResearchServiceProvider.Amount
            [RDTIS9] = RDTIS:RP.CTFOR:lrla.02.12:Remuneration.WagesAndSalaries.Salary.Amount
            [RDTIS11] = RDTIS:RP.CTFOR:bafpr3.02.08:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount
            [RDTIS13] = RDTIS:RP.CTFOR:bafpr3.02.08:Expense.ResearchAndDevelopment.Feedstock.Amount
            [RDTIS15] = RDTIS:RP.CTFOR:bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesExpenditure.Amount
            [RDTIS17] = RDTIS:RP.CTFOR:bafpr3.02.08:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount
            [RDTIS19] = RDTIS:RP.CTFOR:bafpr3.02.08:Expense.ResearchAndDevelopment.BalancingLosses.Amount
            [RDTIS21] = RDTIS:RP.CTFOR:bafpr3.02.08:Expense.ResearchAndDevelopment.CooperativeResearchCentreContributions.Amount
            [RDTIS23] = RDTIS:RP.CTFOR:bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount
        -->
        <assert id="VR.ATO.RDTIS.438022" diagnostics="DVR.ATO.RDTIS.438022"
                     test="not(
                               bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]
                               and
                               round(bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')] * 100)
                               !=
                               round(sum(common:node-set(
                                 bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureResearchServiceProvider.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]
                               | bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureNonResearchServiceProvider.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]
                               | lrla.02.12:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]
                               | bafpr3.02.08:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]
                               | bafpr3.02.08:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]
                               | bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesExpenditure.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]
                               | bafpr3.02.08:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]
                               | bafpr3.02.08:Expense.ResearchAndDevelopment.BalancingLosses.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]
                               | bafpr3.02.08:Expense.ResearchAndDevelopment.CooperativeResearchCentreContributions.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100))"/>
        <!-- 
            IF [RDTIS24] = NULL OR [RDTIS24] = 0
               RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS24] = RDTIS:RP:bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount
        -->
        <assert id="VR.ATO.RDTIS.438024" diagnostics="DVR.ATO.RDTIS.438024"
                test="not(
                            sum(common:node-set(bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount
                                [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        )"/>
        
        <!--
            IF ([RDTIS22] + [RDTIS23]) >= 20000 AND [RDTIS24] <> ([RDTIS22] + [RDTIS23])
               RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS22] = RDTIS:RP.CTAUS:bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount
            [RDTIS23] = RDTIS:RP.CTFOR:bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount
            [RDTIS24] = RDTIS:RP:bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount
        -->
        <assert id="VR.ATO.RDTIS.438025" diagnostics="DVR.ATO.RDTIS.438025"
                test="not(
                            (
                                bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                                + bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]
                            ) &gt;= 20000 
                            and 
                            bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            != 
                            (
                                bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                                + bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )
                      )"/>

        <!--
            IF ([RDTIS22] + [RDTIS23]) < 20000 AND [RDTIS24] <> ([RDTIS4] + [RDTIS5] + [RDTIS20] + [RDTIS21])
               RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS4] = RDTIS:RP.CTAUS:bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureResearchServiceProvider.Amount
            [RDTIS5] = RDTIS:RP.CTFOR:bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureResearchServiceProvider.Amount
            [RDTIS20] = RDTIS:RP.CTAUS:bafpr3.02.08:Expense.ResearchAndDevelopment.CooperativeResearchCentreContributions.Amount
            [RDTIS21] = RDTIS:RP.CTFOR:bafpr3.02.08:Expense.ResearchAndDevelopment.CooperativeResearchCentreContributions.Amount
            [RDTIS22] = RDTIS:RP.CTAUS:bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount
            [RDTIS23] = RDTIS:RP.CTFOR:bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount
            [RDTIS24] = RDTIS:RP:bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount
        -->
        <assert id="VR.ATO.RDTIS.438026" diagnostics="DVR.ATO.RDTIS.438026"
                test="not(
                        (
                            bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                          + bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]
                        ) &lt; 20000
                        and
                        bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        !=
                        (
                            bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureResearchServiceProvider.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                          + bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureResearchServiceProvider.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]
                          + bafpr3.02.08:Expense.ResearchAndDevelopment.CooperativeResearchCentreContributions.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                          + bafpr3.02.08:Expense.ResearchAndDevelopment.CooperativeResearchCentreContributions.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )
                      )"/>
        <!--
            IF [RDTIS36] = FALSE AND [RDTIS37] = FALSE AND [RDTIS45] <> [RDTIS24]
            RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS24] = RDTIS:RP:bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount
            [RDTIS36] = RDTIS:RP:gfagc.02.04:TaxConcession.ExemptEntityOwnership.Indicator
            [RDTIS37] = RDTIS:RP:gfagc.02.04:TaxConcession.AggregatedTurnoverAtOrAboveThreshold.Indicator
            [RDTIS45] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount
        -->
            <assert id="VR.ATO.RDTIS.438052" diagnostics="DVR.ATO.RDTIS.438052"
                    test="not(gfagc.02.04:TaxConcession.ExemptEntityOwnership.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                              and 
                              gfagc.02.04:TaxConcession.AggregatedTurnoverAtOrAboveThreshold.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                              and(
                                sum(common:node-set(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                != 
                                sum(common:node-set(bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))))"/>
        <!--
            IF [RDTIS45] <> NULL AND [RDTIS46] <> ([RDTIS45] * 0.45) +/- 1
            RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS45] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount
            [RDTIS46] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount
        -->
        <assert id="VR.ATO.RDTIS.438055" diagnostics="DVR.ATO.RDTIS.438055"
                test="not(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and
                        math:abs(round(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] * 100)
                                 -
                                 round((gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] * 0.45) * 100) ) &gt; 100)"/>
        <!--
            IF ([RDTIS36] = TRUE OR [RDTIS37] = TRUE) AND [RDTIS47] <> [RDTIS24]
            RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS24] = RDTIS:RP:bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount
            [RDTIS36] = RDTIS:RP:gfagc.02.04:TaxConcession.ExemptEntityOwnership.Indicator
            [RDTIS37] = RDTIS:RP:gfagc.02.04:TaxConcession.AggregatedTurnoverAtOrAboveThreshold.Indicator
            [RDTIS47] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount
        -->
        <assert id="VR.ATO.RDTIS.438057" diagnostics="DVR.ATO.RDTIS.438057"
                test="not(
                            (
                                gfagc.02.04:TaxConcession.ExemptEntityOwnership.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                                or gfagc.02.04:TaxConcession.AggregatedTurnoverAtOrAboveThreshold.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                            )
                            and
                           (
                               round(sum(common:node-set(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100)
                               !=
                               round(sum(common:node-set(bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100)
                           ))"/>
        <!--
            IF [RDTIS47] <> NULL AND [RDTIS48] <> ([RDTIS47] * 0.4) +/-1
            RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS47] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount
            [RDTIS48] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount
        -->
        <assert id="VR.ATO.RDTIS.438059" diagnostics="DVR.ATO.RDTIS.438059"
                test="not(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                      and
                      math:abs(round(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] * 100)
                               - 
                               round(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount * 0.4 * 100)) &gt; 100)"/>
        <!--
            WHERE CONTEXT(GM)
            IF [RDTIS41] = NULLORBLANK
            RETURN VALIDATION MESSAGE
            ENDIF
            [RDTIS41] = RDTIS:GM:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text IN TUPLE(orgname2.02.00:OrganisationNameDetails)
        -->
        <!--<assert id="VR.ATO.RDTIS.438045" diagnostics="DVR.ATO.RDTIS.438045"
                test="not($GM.ContextId 
                          and not(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]
                                    /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
                                    [@contextRef = $GM.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]))"/>-->
        <!--
            IF [RDTIS35] <> NULL AND [RDTIS35] <> ([RDTIS32] - [RDTIS33] - [RDTIS34])
                RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS32] = RDTIS:RP:bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesUnpaid.Amount
            [RDTIS33] = RDTIS:RP:bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesClaimed.Amount
            [RDTIS34] = RDTIS:RP:bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesNotClaimed.Amount
            [RDTIS35] = RDTIS:RP:bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesCarriedForward.Amount
        -->

        <assert id="VR.ATO.RDTIS.438039" diagnostics="DVR.ATO.RDTIS.438039"
                test="not(
                bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesCarriedForward.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                and
                (
                    bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesCarriedForward.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] 
                    !=
                    (
                        common:node-set(bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesUnpaid.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        -
                        common:node-set(bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesClaimed.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        -
                        common:node-set(bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesNotClaimed.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                    )
                )
                )"/>
       

        <!--
            IF [RDTIS34] <> NULL AND [RDTIS34] <> ([RDTIS14] + [RDTIS15])
            RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS14] = RDTIS:RP.CTAUS:bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesExpenditure.Amount
            [RDTIS15] = RDTIS:RP.CTFOR:bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesExpenditure.Amount
            [RDTIS34] = RDTIS:RP:bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesNotClaimed.Amount
        -->
        <assert id="VR.ATO.RDTIS.438037" diagnostics="DVR.ATO.RDTIS.438037"
               test=" not(
                bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesNotClaimed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                and 
              round(100*sum(common:node-set(bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesNotClaimed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
              !=
              round(100*sum(common:node-set(
                  bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesExpenditure.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')] 
                | bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesExpenditure.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]
                  )))
                )" />
        
        <!--
     
                IF [RDTIS44] <> NULL AND [RDTIS44] <> ([RDTIS38] + SUM([RDTIS42]) - [RDTIS43])
                   RETURN VALIDATION MESSAGE
                ENDIF

                [RDTIS38] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount
                [RDTIS42] = RDTIS:GM:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount
                [RDTIS43] = RDTIS:RP:gfagc.02.05:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverExclusion.Amount
                [RDTIS44] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverTotal.Amount
         -->
        <assert id="VR.ATO.RDTIS.438050" diagnostics="DVR.ATO.RDTIS.438050"
                test="not(
                                gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                and 
                                (
                                round(sum(common:node-set(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100)
                                )
                                != 
                                (
                                    round(sum(common:node-set(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100) 
                                    +
                                    (
                                    round(sum(common:node-set(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount[@contextRef = $GM.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100) 
                                    -
                                    round(sum(common:node-set(gfagc.02.05:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverExclusion.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100) 
                                    )
                                )                  
                            )" />

        
        <!--
                IF [RDTIS37] = FALSE AND ([RDTIS44] = NULL OR [RDTIS44] >=20000000)
                    RETURN VALIDATION MESSAGE
                ENDIF

                [RDTIS37] = RDTIS:RP:gfagc.02.04:TaxConcession.AggregatedTurnoverAtOrAboveThreshold.Indicator
                [RDTIS44] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverTotal.Amount
        -->
        <assert id="VR.ATO.RDTIS.438049" diagnostics="DVR.ATO.RDTIS.438049"
                test="not(
                                
                                gfagc.02.04:TaxConcession.AggregatedTurnoverAtOrAboveThreshold.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')  and regexp:test(.,'^(false|0)$')]
                                and
                                (
                                    not(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                               
                                    or
                                    sum(common:node-set(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt;=  20000000                                     
                                )
                            )" />
        <!--
            IF (ANY OCCURRENCE OF ([RDTIS42]) <> NULL) AND [RDTIS38] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS38] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount
            [RDTIS42] = RDTIS:GM:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount
        -->
        <assert id="VR.ATO.RDTIS.438043" diagnostics="DVR.ATO.RDTIS.438043"
              test=" not(
                  count( gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount[@contextRef = $GM.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt;0
                  and not(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
             
                )" />

        <!--
            IF [RDTIS45] <> NULL AND [RDTIS47] <> NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS45] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount
            [RDTIS47] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount
        -->
        <assert id="VR.ATO.RDTIS.438053" diagnostics="DVR.ATO.RDTIS.438053"
                test="not(
                        (gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        (gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>


        <!--
            IF [RDTIS36] = FALSE AND [RDTIS37] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS36] = RDTIS:RP:gfagc.02.04:TaxConcession.ExemptEntityOwnership.Indicator
            [RDTIS37] = RDTIS:RP:gfagc.02.04:TaxConcession.AggregatedTurnoverAtOrAboveThreshold.Indicator
        -->


        <assert id="VR.ATO.RDTIS.438066" diagnostics="DVR.ATO.RDTIS.438066"
                test="not(
                            gfagc.02.04:TaxConcession.ExemptEntityOwnership.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                            and
                            not(gfagc.02.04:TaxConcession.AggregatedTurnoverAtOrAboveThreshold.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                
                        )"/>




    </rule>



    <rule context="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]">
        
        <!-- 
            Id for the current context to be used
        -->
        <let name="currentContextId" value="@id"/>
        
        <!--
            WHERE CONTEXT(GM)
            IF [RDTIS42] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            [RDTIS42] = RDTIS:GM:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount
        -->
        <assert id="VR.ATO.RDTIS.438046" diagnostics="DVR.ATO.RDTIS.438046"
                test="not(
                        . = $GM.Context
                        and 
                        count(../gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        
                      )"/>
        <!--
            WHERE CONTEXT(GM)
            IF [RDTIS41] = NULLORBLANK
            RETURN VALIDATION MESSAGE
            ENDIF
            [RDTIS41] = RDTIS:GM:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text IN TUPLE(orgname2.02.00:OrganisationNameDetails)
        -->
        <assert id="VR.ATO.RDTIS.438045" diagnostics="DVR.ATO.RDTIS.438045"
                test="not(
                        . = $GM.Context
                        and not(../orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]
                                    /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
                                    [@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0])
                      )"/>
    </rule>
    
</pattern>
