﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Variables" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>XBRL Context Id variables that are applicable across all of the CAP services.</title>

<!-- CONTEXT ID SINGLE DIMENSION VARIABLES -->
<let
		name="RP.Context"
		value="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and
                  ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/
                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]]" />
<let
		name="RP.ContextId"
		value="$RP.Context/@id" />
<let
		name="Int.Context"
		value="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and
                  ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/
                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:Intermediary$')]]" />
<let
		name="Int.ContextId"
		value="$Int.Context/@id" />
<!-- CONTEXT ID DOUBLE DIMENSION VARIABLES 
RP.Y0 Context Variables -->
<let
		name="RP.Y0.Context"
		value="xbrli:xbrl/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0$')]) = 1]
                    ]" />
<let
		name="RP.Y0.ContextId"
		value="$RP.Y0.Context/@id" />
<!--RP.Y0Minus1 Context Variables -->
<let
		name="RP.Y0-1.Context"
		value="xbrli:xbrl/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus1$')]) = 1]
                    ]" />
<let
		name="RP.Y0-1.ContextId"
		value="$RP.Y0-1.Context/@id" />
</pattern>