﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>


    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CGLS.404000
            
            IF ([CGLS6] > 0 OR [CGLS9] > 0 OR [CGLS21] > 0 OR [CGLS24] > 0)
               AND ([CGLS39] = NULL OR [CGLS39] = 0)
               AND ([CGLS40] = NULL OR [CGLS40] = 0)
               AND ([CGLS41] = NULL OR [CGLS41] = 0)
               AND ([CGLS42] = NULL OR [CGLS42] = 0)
               AND ([CGLS43] = NULL OR [CGLS43] = 0)
             RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS6] = CGLS:$RP.COTF:rvctc3:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount
            [CGLS9] = CGLS:$RP.COTF:rvctc3:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount
            [CGLS21] = CGLS:$RP.COTF:rvctc3:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount
            [CGLS24] = CGLS:$RP.COTF:rvctc3:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount
            [CGLS39] = CGLS:$RP.Y0:rvctc3:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount
            [CGLS40] = CGLS:$RP.Y0-1:rvctc3:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount
            [CGLS41] = CGLS:$RP.Y0-2:rvctc3:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount
            [CGLS42] = CGLS:$RP.Y0-3:rvctc3:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount
            [CGLS43] = CGLS:$RP.Y0-4+:rvctc3:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount
        -->

        <assert  id="VR.ATO.CGLS.404000" diagnostics="DVR.ATO.CGLS.404000" subject="rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount" test="
	                    not
	                    (
	                        (number(rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount[@contextRef = $RP.COTF.ContextId and not(@i:nil='true' or @i:nil='1')])
	                         &gt; 0
	                         or
	                         number(rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount[@contextRef = $RP.COTF.ContextId and not(@i:nil='true' or @i:nil='1')])
	                         &gt; 0
	                         or
	                         number(rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount[@contextRef = $RP.COTF.ContextId and not(@i:nil='true' or @i:nil='1')])
	                         &gt; 0
	                         or
	                         number(rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount[@contextRef = $RP.COTF.ContextId and not(@i:nil='true' or @i:nil='1')])
	                         &gt; 0)
	                        and
	                        (	
                                count(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1')])
                                = 0                            
                                or
                                number(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1')])
                                = 0
	                        )	
	                        and
	                        (	
                                count(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')])
                                = 0                            
                                or
	                            number(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')])
	                            = 0	
	                        )	
	                        and
	                        (	
                                count(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1')])
                                = 0                            
                                or
	                            number(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1')])
	                            = 0
	                        )	
	                        and
	                        (	
                                count(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1')])
                                = 0                            
                                or    
	                            number(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1')])
	                            = 0
	                        )	
	                        and
	                        (	
                                count(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-4P.ContextId and not(@i:nil='true' or @i:nil='1')])
                                = 0                            
                                or
	                            number(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-4P.ContextId and not(@i:nil='true' or @i:nil='1')])
	                            = 0
	                        )	
	                    )"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404001

            IF ([CGLS11] + [CGLS12]) <> [CGLS13]
                     RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS11] = CGLS:$RP.GRP:rvctc3:Tax.Losses.Utilised.Amount
            [CGLS12] = CGLS:$RP.TRFD:rvctc3:Tax.Losses.Utilised.Amount
            [CGLS13] = CGLS:$RP.TOT:rvctc3:Tax.Losses.Utilised.Amount            
        -->

        <assert  id="VR.ATO.CGLS.404001" diagnostics="DVR.ATO.CGLS.404001" subject="rvctc3.02.00:Tax.Losses.Utilised.Amount" test="
	                    not
	                    (
                            sum(common:node-set(
			                rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef = $RP.GRP.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                        rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                        !=
                            sum(common:node-set(
                            rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                    )"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404002        
           
            IF [CGLS12] > 0 AND COUNT([CGLS15]) = 0
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS12] = CGLS:$RP.TRFD:rvctc3:Tax.Losses.Utilised.Amount
            [CGLS15] = CGLS:$TRFR:rvctc3:Tax.Losses.TransferredUtilised.Fraction            
        -->

        <assert  id="VR.ATO.CGLS.404002" diagnostics="DVR.ATO.CGLS.404002" subject="rvctc3.02.00:Tax.Losses.Utilised.Amount" test="
	                    not
	                    (
			               number(rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')])
                           &gt; 0
	                       and
	                       (	
	 	                      count(rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1')])
	                          =	0
	                       )	
	                    )"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404003
            
            IF ANY OCCURRENCE OF [CGLS15] <> NULL AND ([CGLS12] = NULL OR [CGLS12] = 0)
            RETURN VALIDATION MESSAGE
            END IF

            [CGLS15] = CGLS:$TRFR:rvctc3:Tax.Losses.TransferredUtilised.Fraction
            [CGLS12] = CGLS:$RP.TRFD:rvctc3:Tax.Losses.Utilised.Amount
        -->

        <assert  id="VR.ATO.CGLS.404003" diagnostics="DVR.ATO.CGLS.404003" subject="rvctc3.02.00:Tax.Losses.Utilised.Amount" test="
	                    not
	                    (
  	                       count(rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1')])
	                       &gt; 0	
                           and
                           (	
                               count(rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')])
                               = 0                            
                               or
                               number(rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')])
                               = 0
	                       )	
	                    )"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404004
            
            IF SUM([CGLS16]) > [CGLS12]
            RETURN VALIDATION MESSAGE
            END IF

            [CGLS16] = CGLS:$TRFR:rvctc3:Tax.Losses.TransferredUtilised.Amount
            [CGLS12] = CGLS:$RP.TRFD:rvctc3:Tax.Losses.Utilised.Amount
        -->

        <assert  id="VR.ATO.CGLS.404004" diagnostics="DVR.ATO.CGLS.404004" subject="rvctc3.02.00:Tax.Losses.Utilised.Amount" test="
                        not
                        (
                           sum(common:node-set(
                           rvctc3.02.00:Tax.Losses.TransferredUtilised.Amount[not(@i:nil='true' or @i:nil='1')]))
                           &gt;
                           sum(common:node-set(
                           rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')]))
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404005

            IF [CGLS44] <> NULL AND [CGLS44] > [CGLS13]
                     RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS44] = CGLS:$RP:rvctc3:Tax.Losses.UtilisedAfterConsolidationOwnershipContinuityTestNotPassedAndSameBusinessTest.Amount
            [CGLS13] = CGLS:$RP.TOT:rvctc3:Tax.Losses.Utilised.Amount
        -->

        <assert  id="VR.ATO.CGLS.404005" diagnostics="DVR.ATO.CGLS.404005" subject="rvctc3.02.00:Tax.Losses.Utilised.Amount" test="
                        not
                        (
                           count(rvctc3.02.02:Tax.Losses.UtilisedAfterConsolidationOwnershipContinuityTestNotPassedAndSameBusinessTest.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                           &gt; 0
                           and
                           (
                               sum(common:node-set(
                               rvctc3.02.02:Tax.Losses.UtilisedAfterConsolidationOwnershipContinuityTestNotPassedAndSameBusinessTest.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                               &gt;
                               sum(common:node-set(
                               rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]))
                           )
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404008
        
            IF ANY OCCURANCE OF [CGLS16] > 0 OR
               ANY OCCURANCE OF [CGLS31] > 0 AND
               [CGLS35] = NULL
            RETURN VALIDATION MESSAGE
            END IF

            [CGLS16] = CGLS:$TRFR:rvctc3:Tax.Losses.TransferredUtilised.Amount
            [CGLS31] = CGLS:$TRFR:rvctc3:Capital.Losses.TransferredUtilised.Amount
            [CGLS35] = CGLS:$RP:rvctc3:Tax.Losses.TransferredLossUtilisedApportionmentRulesApplied.Indicator
        -->

        <assert  id="VR.ATO.CGLS.404008" diagnostics="DVR.ATO.CGLS.404008" subject="rvctc3.02.00:Tax.Losses.TransferredUtilised.Amount" test="
                        not
                        (
                            (count(rvctc3.02.00:Tax.Losses.TransferredUtilised.Amount[not(@i:nil='true' or @i:nil='1') and number(normalize-space(.)) &gt; 0 ]) &gt; 0
                             or
                             count(rvctc3.02.02:Capital.Losses.TransferredUtilised.Amount[not(@i:nil='true' or @i:nil='1') and number(normalize-space(.)) &gt; 0 ]) &gt; 0)
                            and
                            count(rvctc3.02.02:Tax.Losses.TransferredLossUtilisedApportionmentRulesApplied.Indicator[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId ])
                            = 0                            
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404009
            
            IF [CGLS35] <> NULL AND
             COUNT(CONTEXT(TRFR))=0
              RETURN VALIDATION MESSAGE
             ENDIF

            [CGLS35] = CGLS:$RP:rvctc3:Tax.Losses.TransferredLossUtilisedApportionmentRulesApplied.Indicator
        -->

        <assert  id="VR.ATO.CGLS.404009" diagnostics="DVR.ATO.CGLS.404009" subject="rvctc3.02.00:Tax.Losses.TransferredUtilised.Amount" test="
	                    not
	                    (
                            rvctc3.02.02:Tax.Losses.TransferredLossUtilisedApportionmentRulesApplied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and
                            count($TRFR.ContextIds) = 0
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404010

            IF [CGLS17] + [CGLS18] <> [CGLS19]
             RETURN VALIDATION MESSAGE
            END IF

            [CGLS17] = CGLS:$RP.GRP:rvctc3:Tax.Losses.CarriedForward.Total.Amount
            [CGLS18] = CGLS:$RP.TRFD:rvctc3:Tax.Losses.CarriedForward.Total.Amount
            [CGLS19] = CGLS:$RP.TOT:rvctc3:Tax.Losses.CarriedForward.Total.Amount
        -->

        <assert  id="VR.ATO.CGLS.404010" diagnostics="DVR.ATO.CGLS.404010" subject="rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount" test="
	                    not
	                    (
                            sum(common:node-set(
			                rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.GRP.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                        rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                        !=
                            sum(common:node-set(
                            rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                    )"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404012
            
            IF [CGLS46] <> NULL AND [CGLS46] > [CGLS19]
             RETURN VALIDATION MESSAGE
            END IF

            [CGLS46] = CGLS:$RP:rvctc3:Tax.Losses.CarriedForward.SameBusinessTestPassedBeforeBeingUtilised.Amount
            [CGLS19] = CGLS:$RP.TOT:rvctc3:Tax.Losses.CarriedForward.Total.Amount
        -->

        <assert  id="VR.ATO.CGLS.404012" diagnostics="DVR.ATO.CGLS.404012" subject="rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount" test="
                        not
                        (
                            count(rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassedBeforeBeingUtilised.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            and
                            (
                               sum(common:node-set(
                               rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassedBeforeBeingUtilised.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                               &gt;
                               sum(common:node-set(
                               rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            )
                        )"></assert>
        
        <!--
            Rule ID: VR.ATO.CGLS.404013
            
            IF ([CGLS19] <> NULL OR [CGLS93] <> NULL)
            AND [CGLS19] <> [CGLS93]  
            RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS19] = CGLS:$RP.TOT:rvctc3:Tax.Losses.CarriedForward.Total.Amount
            [CGLS93] = CGLS:$RP:rvctc3:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
        -->
        <assert  id="VR.ATO.CGLS.404013" diagnostics="DVR.ATO.CGLS.404013" subject="rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount" test="
                        not
                        (
                            (rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            (
                               sum(common:node-set(
                               rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]))
                               !=
                               sum(common:node-set(                               
                               rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            )
                        )"></assert>
        
        <!--
            Rule ID: VR.ATO.CGLS.404014

            IF ([CGLS26] + [CGLS27]) <> [CGLS28]
             RETURN VALIDATION MESSAGE
            END IF

            [CGLS26] = CGLS:$RP.GRP:rvctc3:Capital.Losses.UtilisedNet.Amount
            [CGLS27] = CGLS:$RP.TRFD:rvctc3:Capital.Losses.UtilisedNet.Amount
            [CGLS28] = CGLS:$RP.TOT:rvctc3:Capital.Losses.UtilisedNet.Amount
        -->

        <assert  id="VR.ATO.CGLS.404014" diagnostics="DVR.ATO.CGLS.404014" subject="rvctc3.02.02:Capital.Losses.UtilisedNet.Amount" test="
	                    not
	                    (
                            sum(common:node-set(
			                rvctc3.02.02:Capital.Losses.UtilisedNet.Amount[@contextRef = $RP.GRP.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                        rvctc3.02.02:Capital.Losses.UtilisedNet.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                        !=
                            sum(common:node-set(
                            rvctc3.02.02:Capital.Losses.UtilisedNet.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                    )"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404015

            IF [CGLS27] > 0 AND COUNT([CGLS30]) = 0
            RETURN VALIDATION MESSAGE
            ENDIF
            [CGLS27] = CGLS:$RP.TRFD:rvctc3:Capital.Losses.UtilisedNet.Amount
            [CGLS30] = CGLS:$TRFR:rvctc3:Capital.Losses.TransferredUtilised.Fraction
        -->

        <assert  id="VR.ATO.CGLS.404015" diagnostics="DVR.ATO.CGLS.404015" subject="rvctc3.02.02:Capital.Losses.UtilisedNet.Amount" test="
                         not
                         (
                           number(rvctc3.02.02:Capital.Losses.UtilisedNet.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')])
                           &gt; 0
                           and
                           (
                              count(rvctc3.02.02:Capital.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1')])
                              = 0
                           )   
                         )"></assert>
        
        <!--
            Rule ID: VR.ATO.CGLS.404016
                    
            IF ANY OCCURRENCE OF [CGLS30] <> NULL AND ([CGLS27] = NULL OR [CGLS27] = 0)
            RETURN VALIDATION MESSAGE
            END IF

            [CGLS30] = CGLS:$TRFR:rvctc3:Capital.Losses.TransferredUtilised.Fraction
            [CGLS27] = CGLS:$RP.TRFD:rvctc3:Capital.Losses.UtilisedNet.Amount
        -->
        <assert  id="VR.ATO.CGLS.404016" diagnostics="DVR.ATO.CGLS.404016"
                 subject="rvctc3.02.02:Capital.Losses.UtilisedNet.Amount"
                 test="
                         not
                         (
                           count(rvctc3.02.02:Capital.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1')])
                           &gt; 0
                           and
                           (
                               count(rvctc3.02.02:Capital.Losses.UtilisedNet.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')])
                               = 0                            
                               or
                               number(rvctc3.02.02:Capital.Losses.UtilisedNet.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')])
                               = 0
                           )   
                         )"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404017
            
            IF SUM([CGLS31]) > [CGLS27]
             RETURN VALIDATION MESSAGE
            END IF

            [CGLS31] = CGLS:$TRFR:rvctc3:Capital.Losses.TransferredUtilised.Amount
            [CGLS27] = CGLS:$RP.TRFD:rvctc3:Capital.Losses.UtilisedNet.Amount
        -->

        <assert  id="VR.ATO.CGLS.404017" diagnostics="DVR.ATO.CGLS.404017" subject="rvctc3.02.02:Capital.Losses.UtilisedNet.Amount" test="
                        not
                        (
                           sum(common:node-set(
                           rvctc3.02.02:Capital.Losses.TransferredUtilised.Amount[not(@i:nil='true' or @i:nil='1')]))
                           &gt;
                           sum(common:node-set(
                           rvctc3.02.02:Capital.Losses.UtilisedNet.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')]))
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404018
            
            IF [CGLS45] <> NULL AND [CGLS45] > [CGLS28]
             RETURN VALIDATION MESSAGE
            END IF

            [CGLS45] = CGLS:$RP:rvctc3:Capital.Losses.UtilisedAfterConsolidationOwnershipContinuityTestNotPassedAndSameBusinessTest.Amount
            [CGLS28] = CGLS:$RP.TOT:rvctc3:Capital.Losses.UtilisedNet.Amount
        -->

        <assert  id="VR.ATO.CGLS.404018" diagnostics="DVR.ATO.CGLS.404018" subject="rvctc3.02.02:Capital.Losses.UtilisedNet.Amount" test="
                        not
                        (
                            count(rvctc3.02.02:Capital.Losses.UtilisedAfterConsolidationOwnershipContinuityTestNotPassedAndSameBusinessTest.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            and
                            (
                               sum(common:node-set(
                               rvctc3.02.02:Capital.Losses.UtilisedAfterConsolidationOwnershipContinuityTestNotPassedAndSameBusinessTest.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                               &gt;
                               sum(common:node-set(
                               rvctc3.02.02:Capital.Losses.UtilisedNet.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            )
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404019

            IF [CGLS32] + [CGLS33] <> [CGLS34]
             RETURN VALIDATION MESSAGE
            END IF

            [CGLS32] = CGLS:$RP.GRP:rvctc3:Capital.Losses.CarriedForward.Net.Amount
            [CGLS33] = CGLS:$RP.TRFD:rvctc3:Capital.Losses.CarriedForward.Net.Amount
            [CGLS34] = CGLS:$RP.TOT:rvctc3:Capital.Losses.CarriedForward.Net.Amount
        -->

        <assert  id="VR.ATO.CGLS.404019" diagnostics="DVR.ATO.CGLS.404019" subject="rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount" test="
	                    not
	                    (
                            sum(common:node-set(
			                rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.GRP.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                        rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                        !=
                            sum(common:node-set(
                            rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                    )"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404021
            
            IF [CGLS47] <> NULL AND [CGLS47] > [CGLS34]
                  RETURN VALIDATION MESSAGE
            END IF

            [CGLS47] = CGLS:$RP:rvctc3:Capital.Losses.CarriedForward.SameBusinessTestPassedBeforeBeingUtilised.Amount
            [CGLS34] = CGLS:$RP.TOT:rvctc3:Capital.Losses.CarriedForward.Net.Amount
            
        -->

        <assert  id="VR.ATO.CGLS.404021" diagnostics="DVR.ATO.CGLS.404021" subject="rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount" test="
                        not
                        (
                            count(rvctc3.02.02:Capital.Losses.CarriedForward.SameBusinessTestPassedBeforeBeingUtilised.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            and
                            (
                               sum(common:node-set(
                               rvctc3.02.02:Capital.Losses.CarriedForward.SameBusinessTestPassedBeforeBeingUtilised.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                               &gt;
                               sum(common:node-set(
                               rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            )
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404022

            IF [CGLS36] = TRUE AND
            COUNT CONTEXT JE = 0
            RETURN VALIDATION MESSAGE
            END IF

            [CGLS36] = CGLS:$RP:rvctc3:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator
        -->

        <assert  id="VR.ATO.CGLS.404022" diagnostics="DVR.ATO.CGLS.404022" subject="rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator" test="
	                    not
	                    (
                            rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                            and
                            count($JE.ContextIds) = 0
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404023
            
            IF [CGLS36] = FALSE AND
            (CGLS:JE:entity.identifier.TFN <> NULLORBLANK OR [CGLS38] <> NULL)
            RETURN VALIDATION MESSAGE
            END IF

            [CGLS36] = CGLS:$RP:rvctc3:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator
            [CGLS38] = CGLS:$JE:rvctc3:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount
        -->

        <assert  id="VR.ATO.CGLS.404023" diagnostics="DVR.ATO.CGLS.404023" subject="rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator" test="
                        not
                        (
                            rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                            and
                            (count($JE.ContextIds) &gt; 0
                             or
                             count(rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount[not(@i:nil='true' or @i:nil='1')]) &gt; 0)
                        )"></assert>
        
        <!--
            Rule ID: VR.ATO.CGLS.404145
            
            IF ([CGLS94] OR [CGLS86] OR [CGLS89] OR [CGLS90] OR [CGLS91] OR [CGLS92] <> NULL)
            AND ([CGLS94]+[CGLS86]+[CGLS89]+[CGLS90]+[CGLS91]+[CGLS92] > [CGLS83]+[CGLS85]+[CGLS87]+[CGLS88])                                                                                           RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGLS94] = CGLS:RP:rvctc3.xx.xx:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount
            [CGLS86] = CGLS:RP:rvctc3.xx.xx:Tax.Losses.ForgivenDebtNet.Amount
            [CGLS89] = CGLS:RP:rvctc3.xx.xx:Tax.Losses.ExemptIncomeNet.Amount
            [CGLS90] = CGLS:RP:rvctc3.xx.xx:Tax.Losses.Forgone.Amount
            [CGLS91] = CGLS:RP:rvctc3.xx.xx:Tax.Losses.Total.Amount
            [CGLS92] = CGLS:RP:rvctc3.xx.xx:Tax.Losses.TransferredOut.Amount
            
            [CGLS83] = CGLS:RP:rvctc3.xx.xx:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount
            [CGLS85] = CGLS:RP:rvctc3.xx.xx:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount
            [CGLS87] = CGLS:RP:rvctc3.xx.xx:Tax.Losses.Incurred.Amount
            [CGLS88] = CGLS:RP:rvctc3.xx.xx:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount
        -->
        <assert  id="VR.ATO.CGLS.404145" diagnostics="DVR.ATO.CGLS.404145"
                 subject="rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount"
                 test="
                        not
                        (
                            (rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount[contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.Forgone.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.00:Tax.Losses.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.TransferredOut.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.Incurred.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )
                            and
                            (
                               sum(common:node-set(
                               rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                               rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                               rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                               rvctc3.02.02:Tax.Losses.Forgone.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                               rvctc3.02.00:Tax.Losses.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                               rvctc3.02.02:Tax.Losses.TransferredOut.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                               ))
                               &gt;
                               sum(common:node-set(
                               rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                               rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                               rvctc3.02.02:Tax.Losses.Incurred.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                               rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                               ))
                            )
                        )"></assert>

        <!--
            Rule ID: VR.ATO.CGLS.404146
            
            IF (([CGLS83] OR [CGLS85] OR [CGLS94] OR [CGLS86] OR [CGLS87] OR [CGLS88] OR [CGLS89] OR [CGLS90] OR [CGLS91] OR [CGLS92] OR [CGLS93])<>NULL)
            AND ([CGLS93]<> [CGLS83]+[CGLS85]-[CGLS94]-[CGLS86]+[CGLS87]+[CGLS88]-[CGLS89]-[CGLS90]-[CGLS91]-[CGLS92]) 
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGLS83] = CGLS:RP:rvctc3.xx.xx:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount
            [CGLS85] = CGLS:RP:rvctc3.xx.xx:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount
            [CGLS94] = CGLS:RP:rvctc3.xx.xx:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount
            [CGLS86] = CGLS:RP:rvctc3.xx.xx:Tax.Losses.ForgivenDebtNet.Amount
            [CGLS87] = CGLS:RP:rvctc3.xx.xx:Tax.Losses.Incurred.Amount
            [CGLS88] = CGLS:RP:rvctc3.xx.xx:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount
            [CGLS89] = CGLS:RP:rvctc3.xx.xx:Tax.Losses.ExemptIncomeNet.Amount
            [CGLS90] = CGLS:RP:rvctc3.xx.xx:Tax.Losses.Forgone.Amount
            [CGLS91] = CGLS:RP:rvctc3.xx.xx:Tax.Losses.Total.Amount
            [CGLS92] = CGLS:RP:rvctc3.xx.xx:Tax.Losses.TransferredOut.Amount
            [CGLS93] = CGLS:RP:rvctc3.xx.xx:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
        -->
        <assert  id="VR.ATO.CGLS.404146" diagnostics="DVR.ATO.CGLS.404146"
                 subject="rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount"
                 test="
                        not
                        (
                            (rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.Incurred.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.Forgone.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.00:Tax.Losses.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.TransferredOut.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )
                            and
                            (
                               round(sum(common:node-set(
                               rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                               )) * 100)
                               !=
                               (
                                   round(sum(common:node-set(
                                   rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                   rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                   )) * 100)
                                   -
                                   round(sum(common:node-set(
                                   rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                   rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                   )) * 100) 
                                   +
                                   round(sum(common:node-set(
                                   rvctc3.02.02:Tax.Losses.Incurred.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                   rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]     
                                   )) * 100)
                                   -
                                   round(sum(common:node-set(
                                   rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                   rvctc3.02.02:Tax.Losses.Forgone.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                   rvctc3.02.00:Tax.Losses.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                   rvctc3.02.02:Tax.Losses.TransferredOut.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                   )) * 100)           
                               )
                            )
                        )"></assert>
    </rule>

    <rule
            context="xbrli:xbrl/xbrli:context[
                        not(@i:nil='true' or @i:nil='1') 
                        and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                        xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/ 
                        xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')
                        and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$')
                        and regexp:test(., '^RprtPyType\.\d\d\.\d\d:Transferor$')]
                        ]">

        <let
                    name="This.TRFR.ContextId"
                    value="./@id" />

        <!--
            Rule ID: VR.ATO.CGLS.404007
            
            IN CONTEXT(TRFR)
            IF [CGLS15] > 1.000 OR [CGLS30] > 1.000
                  RETURN VALIDATION MESSAGE
            ENDIF  

            [CGLS15] = CGLS:$TRFR:rvctc3:Tax.Losses.TransferredUtilised.Fraction
            [CGLS30] = CGLS:$TRFR:rvctc3:Capital.Losses.TransferredUtilised.Fraction
            
            Note: The rule context references a node-set of up to 12xTRFR contexts.
                  Variable $This.TRFR.ContextId captures the current TRFR context id of the
                  context node being evaluated and is used in the test to find a matching
                  fraction element for each TRFR TFN.
        -->

        <assert  id="VR.ATO.CGLS.404007" diagnostics="DVR.ATO.CGLS.404007" subject="rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction" test="
                        not
                        (
                            ((number(../rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]/xbrli:numerator[not(@i:nil='true' or @i:nil='1')]) div
                             number(../rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]/xbrli:denominator[not(@i:nil='true' or @i:nil='1')]))
                             &gt; 1.000)
                             or
                            ((number(../rvctc3.02.02:Capital.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]/xbrli:numerator[not(@i:nil='true' or @i:nil='1')]) div
                             number(../rvctc3.02.02:Capital.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]/xbrli:denominator[not(@i:nil='true' or @i:nil='1')]))
                             &gt; 1.000)
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404037
        
            IN CONTEXT(TRFR)
            IF [CGLS15] = NULL AND [CGLS30] = NULL
              RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS15] = CGLS:$TRFR:rvctc3:Tax.Losses.TransferredUtilised.Fraction
            [CGLS30] = CGLS:$TRFR:rvctc3:Capital.Losses.TransferredUtilised.Fraction
        -->

        <assert  id="VR.ATO.CGLS.404037" diagnostics="DVR.ATO.CGLS.404037" subject="rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction" test="
                        not
                        (
                            count(
                            ../rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction[
                            not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]
                            ) = 0
                            and
                            count(
                            ../rvctc3.02.02:Capital.Losses.TransferredUtilised.Fraction[
                            not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]
                            ) = 0
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404135
                        
            IN CONTEXT(TRFR)
            IF [CGLS15] = NULL AND [CGLS16] <> NULL
            RETURN VALIDATION MESSAGE
            END IF

            [CGLS15] = CGLS:$TRFR:rvctc3:Tax.Losses.TransferredUtilised.Fraction
            [CGLS16] = CGLS:$TRFR:rvctc3:Tax.Losses.TransferredUtilised.Amount
        -->

        <assert  id="VR.ATO.CGLS.404135" diagnostics="DVR.ATO.CGLS.404135" subject="rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction" test="
                        not
                        (
                            count(
                            ../rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction[
                            not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]
                            ) = 0
                            and
                            count(
                            ../rvctc3.02.00:Tax.Losses.TransferredUtilised.Amount[
                            not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]
                            ) &gt; 0
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404136
            
            IN CONTEXT(TRFR)
            IF [CGLS15] <> NULL AND [CGLS16] = NULL
            RETURN VALIDATION MESSAGE
            END IF
             
            [CGLS15] = CGLS:TRFR:rvctc3.xx.xx:Tax.Losses.TransferredUtilised.Fraction
            [CGLS16] = CGLS:TRFR:rvctc3.xx.xx:Tax.Losses.TransferredUtilised.Amount            
        -->

        <assert  id="VR.ATO.CGLS.404136" diagnostics="DVR.ATO.CGLS.404136" subject="rvctc3.02.00:Tax.Losses.TransferredUtilised.Amount" test="
                        not
                        (
                            count(
                            ../rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction[
                            not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]
                            ) &gt; 0
                            and
	 	                    count(../rvctc3.02.00:Tax.Losses.TransferredUtilised.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId])
	                        = 0
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404137
                
            IN CONTEXT(TRFR)
            IF [CGLS30] = NULL AND [CGLS31] <> NULL
              RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS30] = CGLS:$TRFR:rvctc3:Capital.Losses.TransferredUtilised.Fraction
            [CGLS31] = CGLS:$TRFR:rvctc3:Capital.Losses.TransferredUtilised.Amount
            
            Note: See comment for VR.ATO.CGLS.404135.            
        -->

        <assert  id="VR.ATO.CGLS.404137" diagnostics="DVR.ATO.CGLS.404137" subject="rvctc3.02.02:Capital.Losses.TransferredUtilised.Fraction" test="
                        not
                        (
                            count(
                            ../rvctc3.02.02:Capital.Losses.TransferredUtilised.Fraction[
                            not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]
                            ) = 0
                            and
                            count(../rvctc3.02.02:Capital.Losses.TransferredUtilised.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId])
                            &gt; 0
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404138
            
            IN CONTEXT(TRFR)
            IF [CGLS30] <> NULL AND [CGLS31] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS30] = CGLS:$TRFR:rvctc3:Capital.Losses.TransferredUtilised.Fraction
            [CGLS31] = CGLS:$TRFR:rvctc3:Capital.Losses.TransferredUtilised.Amount
            
            Note: See comment for VR.ATO.CGLS.404135.            
        -->

        <assert  id="VR.ATO.CGLS.404138" diagnostics="DVR.ATO.CGLS.404138" subject="rvctc3.02.02:Capital.Losses.TransferredUtilised.Amount" test="
                        not
                        (
                            count(
                            ../rvctc3.02.02:Capital.Losses.TransferredUtilised.Fraction[
                            not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]
                            ) &gt; 0
                            and
                            count(../rvctc3.02.02:Capital.Losses.TransferredUtilised.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId])
                            = 0
                        )"></assert>
    </rule>

    <rule
            context="xbrli:xbrl/xbrli:context[
                        not(@i:nil='true' or @i:nil='1') 
                        and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                        xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/ 
                        xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')
                        and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$')
                        and regexp:test(., '^RprtPyType\.\d\d\.\d\d:JoiningEntity$')]
                        ]">

        <let
                    name="This.JE.ContextId"
                    value="./@id" />

        <!--
            Rule ID: VR.ATO.CGLS.404143
                        
            IN CONTEXT(JE)
            IF [CGLS38] = NULL
            RETURN VALIDATION MESSAGE
            END IF
            [CGLS38] = CGLS:$JE:rvctc3:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount
        -->

        <assert  id="VR.ATO.CGLS.404143" diagnostics="DVR.ATO.CGLS.404143" subject="rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount" test="
                        count(
                        ../rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount[
                        not(@i:nil='true' or @i:nil='1') and @contextRef = $This.JE.ContextId]
                        ) &gt; 0"></assert>
    </rule>

    <rule
            context="xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CGLS.404141
            
            IF [CGLS15] = 0
              RETURN VALIDATION MESSAGE
            END IF

            [CGLS15] = CGLS:$TRFR:rvctc3:Tax.Losses.TransferredUtilised.Fraction
        -->

        <assert  id="VR.ATO.CGLS.404141" diagnostics="DVR.ATO.CGLS.404141" test="
                        not
                        (
                            (number(./xbrli:numerator[not(@i:nil='true' or @i:nil='1')]) div
                             number(./xbrli:denominator[not(@i:nil='true' or @i:nil='1')]))
                             = 0
                        )"></assert>
    </rule>

    <rule
            context="xbrli:xbrl/rvctc3.02.02:Capital.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CGLS.404142
            
            IF [CGLS30] = 0
              RETURN VALIDATION MESSAGE
            END IF

            [CGLS30] = CGLS:$TRFR:rvctc3:Capital.Losses.TransferredUtilised.Fraction
        -->

        <assert  id="VR.ATO.CGLS.404142" diagnostics="DVR.ATO.CGLS.404142" test="
                        not
                        (
                            (number(./xbrli:numerator[not(@i:nil='true' or @i:nil='1')]) div
                             number(./xbrli:denominator[not(@i:nil='true' or @i:nil='1')]))
                             = 0
                        )"></assert>
    </rule>
</pattern>