﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Variables" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>XBRL Context Id variables that are applicable accross all of the CGTS services.</title>

<!--RP TFN VARIABLE-->
<let
		name="RP.Identifier.TFN"
		value="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1 and contains(./xbrldi:explicitMember,'ReportingParty')]/xbrldi:explicitMember/../../xbrli:identifier[exslt:lowercase(@scheme) = 'http://www.ato.gov.au/tfn']" />
<!-- RP Context Variables -->
<let
		name="RP.Context"
		value="xbrli:xbrl/xbrli:context[             
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
           ]" />
<let
		name="RP.ContextId"
		value="$RP.Context/@id" />
<!-- CONTEXT ID DOUBLE DIMENSION VARIABLES 
 RP.AA Context Variables -->
<let
		name="RP.AA.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTAssetType.\d\d\.\d\d:CGTAssetTypeDimension$') and regexp:test(., '^CGTAssetType\.\d\d\.\d\d:Active$')]) = 1]
           ]" />
<let
		name="RP.AA.ContextId"
		value="$RP.AA.Context/@id" />
<!-- RP.ANA Context Variables -->
<let
		name="RP.ANA.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTAssetType.\d\d\.\d\d:CGTAssetTypeDimension$') and regexp:test(., '^CGTAssetType\.\d\d\.\d\d:NonActive$')]) = 1]
           ]" />
<let
		name="RP.ANA.ContextId"
		value="$RP.ANA.Context/@id" />
<!-- RP.MI Context Variables -->
<let
		name="RP.MI.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Indexation$')]) = 1]
           ]" />
<let
		name="RP.MI.ContextId"
		value="$RP.MI.Context/@id" />
<!-- RP.MD Context Variables -->
<let
		name="RP.MD.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Discount$')]) = 1]
           ]" />
<let
		name="RP.MD.ContextId"
		value="$RP.MD.Context/@id" />
<!-- RP.MO Context Variables -->
<let
		name="RP.MO.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Other$')]) = 1]
           ]" />
<let
		name="RP.MO.ContextId"
		value="$RP.MO.Context/@id" />
<!-- CONTEXT ID TRIPLE DIMENSION VARIABLES 
 RP.AA.MD Context Variables -->
<let
		name="RP.AA.MD.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Discount$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTAssetType.\d\d\.\d\d:CGTAssetTypeDimension$') and regexp:test(., '^CGTAssetType\.\d\d\.\d\d:Active$')]) = 1]
           ]" />
<let
		name="RP.AA.MD.ContextId"
		value="$RP.AA.MD.Context/@id" />
<!-- RP.AA.MI Context Variables -->
<let
		name="RP.AA.MI.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Indexation$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTAssetType.\d\d\.\d\d:CGTAssetTypeDimension$') and regexp:test(., '^CGTAssetType\.\d\d\.\d\d:Active$')]) = 1]
           ]" />
<let
		name="RP.AA.MI.ContextId"
		value="$RP.AA.MI.Context/@id" />
<!-- RP.AA.MO Context Variables -->
<let
		name="RP.AA.MO.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Other$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTAssetType.\d\d\.\d\d:CGTAssetTypeDimension$') and regexp:test(., '^CGTAssetType\.\d\d\.\d\d:Active$')]) = 1]
           ]" />
<let
		name="RP.AA.MO.ContextId"
		value="$RP.AA.MO.Context/@id" />
<!-- RP.ANA.MI Context Variables -->
<let
		name="RP.ANA.MI.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Indexation$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTAssetType.\d\d\.\d\d:CGTAssetTypeDimension$') and regexp:test(., '^CGTAssetType\.\d\d\.\d\d:NonActive$')]) = 1]
           ]" />
<let
		name="RP.ANA.MI.ContextId"
		value="$RP.ANA.MI.Context/@id" />
<!-- RP.ANA.MD Context Variables -->
<let
		name="RP.ANA.MD.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Discount$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTAssetType.\d\d\.\d\d:CGTAssetTypeDimension$') and regexp:test(., '^CGTAssetType\.\d\d\.\d\d:NonActive$')]) = 1]
           ]" />
<let
		name="RP.ANA.MD.ContextId"
		value="$RP.ANA.MD.Context/@id" />
<!-- RP.ANA.MO Context Variables -->
<let
		name="RP.ANA.MO.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Other$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTAssetType.\d\d\.\d\d:CGTAssetTypeDimension$') and regexp:test(., '^CGTAssetType\.\d\d\.\d\d:NonActive$')]) = 1]
           ]" />
<let
		name="RP.ANA.MO.ContextId"
		value="$RP.ANA.MO.Context/@id" />
<!-- RP.MI.CU Context Variables -->
<let
		name="RP.MI.CU.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Indexation$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CapLossApplicPrdType.\d\d\.\d\d:CapitalLossApplicabilityPeriodTypeDimension$') and regexp:test(., '^CapLossApplicPrdType\.\d\d\.\d\d:CurrentYear$')]) = 1]
           ]" />
<let
		name="RP.MI.CU.ContextId"
		value="$RP.MI.CU.Context/@id" />
<!-- RP.MI.PR Context Variables -->
<let
		name="RP.MI.PR.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Indexation$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CapLossApplicPrdType.\d\d\.\d\d:CapitalLossApplicabilityPeriodTypeDimension$') and regexp:test(., '^CapLossApplicPrdType\.\d\d\.\d\d:PreviousYear$')]) = 1]
           ]" />
<let
		name="RP.MI.PR.ContextId"
		value="$RP.MI.PR.Context/@id" />
<!-- RP.MI.TR Context Variables -->
<let
		name="RP.MI.TR.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Indexation$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CapLossApplicPrdType.\d\d\.\d\d:CapitalLossApplicabilityPeriodTypeDimension$') and regexp:test(., '^CapLossApplicPrdType\.\d\d\.\d\d:TransferredIn$')]) = 1]
           ]" />
<let
		name="RP.MI.TR.ContextId"
		value="$RP.MI.TR.Context/@id" />
<!-- RP.MD.CU Context Variables -->
<let
		name="RP.MD.CU.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Discount$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CapLossApplicPrdType.\d\d\.\d\d:CapitalLossApplicabilityPeriodTypeDimension$') and regexp:test(., '^CapLossApplicPrdType\.\d\d\.\d\d:CurrentYear$')]) = 1]
           ]" />
<let
		name="RP.MD.CU.ContextId"
		value="$RP.MD.CU.Context/@id" />
<!-- RP.MD.PR Context Variables -->
<let
		name="RP.MD.PR.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Discount$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CapLossApplicPrdType.\d\d\.\d\d:CapitalLossApplicabilityPeriodTypeDimension$') and regexp:test(., '^CapLossApplicPrdType\.\d\d\.\d\d:PreviousYear$')]) = 1]
           ]" />
<let
		name="RP.MD.PR.ContextId"
		value="$RP.MD.PR.Context/@id" />
<!-- RP.MD.TR Context Variables -->
<let
		name="RP.MD.TR.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Discount$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CapLossApplicPrdType.\d\d\.\d\d:CapitalLossApplicabilityPeriodTypeDimension$') and regexp:test(., '^CapLossApplicPrdType\.\d\d\.\d\d:TransferredIn$')]) = 1]
           ]" />
<let
		name="RP.MD.TR.ContextId"
		value="$RP.MD.TR.Context/@id" />
<!-- RP.MO.CU Context Variables -->
<let
		name="RP.MO.CU.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Other$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CapLossApplicPrdType.\d\d\.\d\d:CapitalLossApplicabilityPeriodTypeDimension$') and regexp:test(., '^CapLossApplicPrdType\.\d\d\.\d\d:CurrentYear$')]) = 1]
           ]" />
<let
		name="RP.MO.CU.ContextId"
		value="$RP.MO.CU.Context/@id" />
<!-- RP.MO.PR Context Variables -->
<let
		name="RP.MO.PR.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Other$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CapLossApplicPrdType.\d\d\.\d\d:CapitalLossApplicabilityPeriodTypeDimension$') and regexp:test(., '^CapLossApplicPrdType\.\d\d\.\d\d:PreviousYear$')]) = 1]
           ]" />
<let
		name="RP.MO.PR.ContextId"
		value="$RP.MO.PR.Context/@id" />
<!-- RP.MO.TR Context Variables -->
<let
		name="RP.MO.TR.Context"
		value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Other$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CapLossApplicPrdType.\d\d\.\d\d:CapitalLossApplicabilityPeriodTypeDimension$') and regexp:test(., '^CapLossApplicPrdType\.\d\d\.\d\d:TransferredIn$')]) = 1]
           ]" />
<let
		name="RP.MO.TR.ContextId"
		value="$RP.MO.TR.Context/@id" />
</pattern>