﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="DataTypes" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>DataTypes Validations</title>

<!--xsd-datatype-monetary-->

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.DeductionDebt.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426024

            IF ([TCS9] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF

            [TCS9] = bafpo6.02.02:Liabilities.ThinCapitalisation.DeductionDebt.Amount
        -->

<assert  id="VR.ATO.TCS.426024" diagnostics="DVR.ATO.TCS.426024" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.EarningExemptDebtDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426025

            IF ([TCS37]<> NULL) AND ([TCS37] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF 

            [TCS37] = bafpo6.02.02:Liabilities.ThinCapitalisation.EarningExemptDebtDeduction.Amount
        -->

<assert  id="VR.ATO.TCS.426025" diagnostics="DVR.ATO.TCS.426025" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.RelatedNonResidentsDebtDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426026

            IF ([TCS38] <> NULL) AND ([TCS38] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF 

            [TCS38] = bafpo6.02.02:Liabilities.ThinCapitalisation.RelatedNonResidentsDebtDeduction.Amount
        -->

<assert  id="VR.ATO.TCS.426026" diagnostics="DVR.ATO.TCS.426026" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.DeductionDebtDisallowed.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426027

            IF ([TCS10] <> NULL) AND ([TCS10] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF

            [TCS10] = bafpo6.02.02:Liabilities.ThinCapitalisation.DeductionDebtDisallowed.Amount
        -->

<assert  id="VR.ATO.TCS.426027" diagnostics="DVR.ATO.TCS.426027" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.DebtAdjustedAverage.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426028

            IF ([TCS11] <> NULL) AND ([TCS11] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF 

            [TCS11] = bafpo6.02.02:Liabilities.ThinCapitalisation.DebtAdjustedAverage.Amount
        -->

<assert  id="VR.ATO.TCS.426028" diagnostics="DVR.ATO.TCS.426028" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.AssetRevaluation.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426029

            IF ([TCS12] <> NULL) AND ([TCS12] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF 

            [TCS12] = bafpo6.02.02:Liabilities.ThinCapitalisation.AssetRevaluation.Amount
        -->

<assert  id="VR.ATO.TCS.426029" diagnostics="DVR.ATO.TCS.426029" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.ExcessDebt.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426030

            IF ([TCS13] <> NULL) AND ([TCS13] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF
             
            [TCS13] = bafpo6.02.02:Liabilities.ThinCapitalisation.ExcessDebt.Amount
        -->

<assert  id="VR.ATO.TCS.426030" diagnostics="DVR.ATO.TCS.426030" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.AssetsValueAverage.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426031

            IF ([TCS14] <> NULL) AND ([TCS14] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF

            [TCS14] = bafpo6.02.02:Liabilities.ThinCapitalisation.AssetsValueAverage.Amount
        -->

<assert  id="VR.ATO.TCS.426031" diagnostics="DVR.ATO.TCS.426031" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.DebtMaximumAllowable.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426032

            IF ([TCS15] <> NULL) AND ([TCS15] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF

            [TCS15] = bafpo6.02.02:Liabilities.ThinCapitalisation.DebtMaximumAllowable.Amount
        -->

<assert  id="VR.ATO.TCS.426032" diagnostics="DVR.ATO.TCS.426032" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.EquityCapitalAdjustedAverage.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426033

            IF ([TCS16] <> NULL) AND ([TCS16] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF

            [TCS16] = bafpo6.02.02:Liabilities.ThinCapitalisation.EquityCapitalAdjustedAverage.Amount
        -->

<assert  id="VR.ATO.TCS.426033" diagnostics="DVR.ATO.TCS.426033" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.RiskWeightedAssetsAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426034

            IF ([TCS17] <> NULL) AND ([TCS17] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF

            [TCS17] = bafpo6.02.02:Liabilities.ThinCapitalisation.RiskWeightedAssetsAverageValue.Amount
        -->

<assert  id="VR.ATO.TCS.426034" diagnostics="DVR.ATO.TCS.426034" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.EquityCapitalAttributableToOverseasPermanentEstablishments.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426035

            IF ([TCS18] <> NULL) AND ([TCS18] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TCS18] = bafpo6.02.02:Liabilities.ThinCapitalisation.EquityCapitalAttributableToOverseasPermanentEstablishments.Amount
        -->

<assert  id="VR.ATO.TCS.426035" diagnostics="DVR.ATO.TCS.426035" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.ControlledForeignADIEntityEquityAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426036

            IF ([TCS19] <> NULL) AND ([TCS19] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF

            [TCS19] = bafpo6.02.02:Liabilities.ThinCapitalisation.ControlledForeignADIEntityEquityAverageValue.Amount
        -->

<assert  id="VR.ATO.TCS.426036" diagnostics="DVR.ATO.TCS.426036" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.Tier1PrudentialCapitalDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426037

            IF ([TCS20] <> NULL) AND ([TCS20] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF

            [TCS20] = bafpo6.02.02:Liabilities.ThinCapitalisation.Tier1PrudentialCapitalDeduction.Amount
        -->

<assert  id="VR.ATO.TCS.426037" diagnostics="DVR.ATO.TCS.426037" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.RiskWeightedAssetsAttributableToAustralianPermanentEstablishmentsAverage.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426038

            IF ([TCS21] <> NULL) AND ([TCS21] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF

            [TCS21] = bafpo6.02.02:Liabilities.ThinCapitalisation.RiskWeightedAssetsAttributableToAustralianPermanentEstablishmentsAverage.Amount
        -->

<assert  id="VR.ATO.TCS.426038" diagnostics="DVR.ATO.TCS.426038" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.DotationCapitalAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426039

            IF ([TCS22] <> NULL) AND ([TCS22] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF

            [TCS22] = bafpo6.02.02:Liabilities.ThinCapitalisation.DotationCapitalAverageValue.Amount
        -->

<assert  id="VR.ATO.TCS.426039" diagnostics="DVR.ATO.TCS.426039" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.NonDebtLiabilitiesAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426040

            IF ([TCS23] <> NULL) AND ([TCS23] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF

            [TCS23] = bafpo6.02.02:Liabilities.ThinCapitalisation.NonDebtLiabilitiesAverageValue.Amount
        -->

<assert  id="VR.ATO.TCS.426040" diagnostics="DVR.ATO.TCS.426040" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.AssociateEntityDebtAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426041

            IF ([TCS24] <> NULL) AND ([TCS24] <> MONETARY(U,11,0))
            RETURN VALIDATION MESSAGE
            ENDIF

            [TCS24] = bafpo6.02.02:Liabilities.ThinCapitalisation.AssociateEntityDebtAverageValue.Amount
        -->

<assert  id="VR.ATO.TCS.426041" diagnostics="DVR.ATO.TCS.426041" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.AssociateEntityEquityAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426042

            IF ([TCS25] <> NULL) AND ([TCS25] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF

            [TCS25] = bafpo6.02.02:Liabilities.ThinCapitalisation.AssociateEntityEquityAverageValue.Amount
        -->

<assert  id="VR.ATO.TCS.426042" diagnostics="DVR.ATO.TCS.426042" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.AssociateEntityExcessAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426043

            IF ([TCS26] <> NULL) AND ([TCS26] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF

            [TCS26] = bafpo6.02.02:Liabilities.ThinCapitalisation.AssociateEntityExcessAverageValue.Amount
        -->

<assert  id="VR.ATO.TCS.426043" diagnostics="DVR.ATO.TCS.426043" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.ZeroCapitalAverage.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426044

            IF ([TCS27] <> NULL) AND ([TCS27] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF

            [TCS27] = bafpo6.02.02:Liabilities.ThinCapitalisation.ZeroCapitalAverage.Amount
        -->

<assert  id="VR.ATO.TCS.426044" diagnostics="DVR.ATO.TCS.426044" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.OnLentAverage.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426045

            IF ([TCS28] <> NULL) AND ([TCS28] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF

            [TCS28] = bafpo6.02.02:Liabilities.ThinCapitalisation.OnLentAverage.Amount
        -->

<assert  id="VR.ATO.TCS.426045" diagnostics="DVR.ATO.TCS.426045" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.ControlledForeignnonADIEntityEquityAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426046

            IF ([TCS29] <> NULL) AND ([TCS29] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF

            [TCS29] = bafpo6.02.02:Liabilities.ThinCapitalisation.ControlledForeignnonADIEntityEquityAverageValue.Amount
        -->

<assert  id="VR.ATO.TCS.426046" diagnostics="DVR.ATO.TCS.426046" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.ControlledForeignEntityDebtAverageValue.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426047

            IF ([TCS30] <> NULL) AND ([TCS30] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TCS30] = bafpo6.02.02:Liabilities.ThinCapitalisation.ControlledForeignEntityDebtAverageValue.Amount
            -->

<assert  id="VR.ATO.TCS.426047" diagnostics="DVR.ATO.TCS.426047" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.ArmsLengthDebt.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426048

            IF ([TCS31] <> NULL) AND ([TCS31] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF

            [TCS31] = bafpo6.02.02:Liabilities.ThinCapitalisation.ArmsLengthDebt.Amount
        -->

<assert  id="VR.ATO.TCS.426048" diagnostics="DVR.ATO.TCS.426048" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.WorldwideCapital.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426050

            IF ([TCS33] <> NULL) AND ([TCS33] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF


            [TCS33] = bafpo6.02.02:Liabilities.ThinCapitalisation.WorldwideCapital.Amount
        -->

<assert  id="VR.ATO.TCS.426050" diagnostics="DVR.ATO.TCS.426050" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.WorldwideDebt.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426051

            IF ([TCS34] <> NULL) AND ([TCS34] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF

            [TCS34] = bafpo6.02.02:Liabilities.ThinCapitalisation.WorldwideDebt.Amount
        -->

<assert  id="VR.ATO.TCS.426051" diagnostics="DVR.ATO.TCS.426051" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.WorldwideEquity.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426052

            IF ([TCS35] <> NULL) AND ([TCS35] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF

            [TCS35] = bafpo6.02.02:Liabilities.ThinCapitalisation.WorldwideEquity.Amount
        -->

<assert  id="VR.ATO.TCS.426052" diagnostics="DVR.ATO.TCS.426052" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.WorldwideGearingDebt.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426053

            IF ([TCS36] <> NULL) AND ([TCS36] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF

            [TCS36] = bafpo6.02.02:Liabilities.ThinCapitalisation.WorldwideGearingDebt.Amount
        -->

<assert  id="VR.ATO.TCS.426053" diagnostics="DVR.ATO.TCS.426053" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.TCS.426049"
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.WorldwideGroupCapitalRatio.Amount[not(@i:nil='true' or @i:nil='1')]">

<!-- 
             Rule ID: VR.ATO.TCS.426049

             IF ([TCS32] <> NULL) AND ([TCS32] <> NUMBER(U,13,5))
                RETURN VALIDATION MESSAGE
            ENDIF

             [TCS32] = bafpo6.02.02:Liabilities.ThinCapitalisation.WorldwideGroupCapitalRatio.Amount
            -->

<assert  id="VR.ATO.TCS.426049" diagnostics="DVR.ATO.TCS.426049" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code[not((@i:nil='true' or @i:nil='1') or string-length(normalize-space(.)) = 0)]">

<!--
            Rule ID: VR.ATO.TCS.426017

            IF ([TCS5] <> NULLORBLANK) AND ([TCS5] <> SET("1","2","3","4","5","6","7","8")) 
                RETURN VALIDATION MESSAGE
            ENDIF
            "@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or @contextRef != $RP.ContextId or regexp:test(.,'^(1|2|3|4|5|6|7|8)$')"
            [TCS5] = RP:bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code
        -->

<assert  id="VR.ATO.TCS.426017" diagnostics="DVR.ATO.TCS.426017" test="@contextRef != $RP.ContextId or regexp:test(.,'^(1|2|3|4|5|6|7|8)$')"></assert>
</rule>

<rule
		context="bafpo6.02.02:Liabilities.ThinCapitalisation.AveragingMethodAdopted.Code[not((@i:nil='true' or @i:nil='1') or string-length(normalize-space(.)) = 0)]">

<!--
            Rule ID: VR.ATO.TCS.426022

            IF ([TCS7] <> NULLORBLANK) AND ([TCS7] <> SET("1","2","3","4"))
                RETURN VALIDATION MESSAGE
            ENDIF

            [TCS7] = RP:bafpo6.02.02:Liabilities.ThinCapitalisation.AveragingMethodAdopted.Code
        -->

<assert  id="VR.ATO.TCS.426022" diagnostics="DVR.ATO.TCS.426022" test="@contextRef != $RP.ContextId or regexp:test(.,'^(1|2|3|4)$')"></assert>
</rule>

<rule
		context="orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not((@i:nil='true' or @i:nil='1') or string-length(normalize-space(.)) = 0)]">

<!--
	        Rule ID: VR.ATO.TCS.426054

	        IF (TCS3 <> NULLORBLANK) AND (TCS3 <> TEXT(200))
	           RETURN VALIDATION MESSAGE
	        ENDIF

	        [TCS3] = RP pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
            OrganisationNameDetails[@i:nil='true' or @i:nil='1']/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or string-length(normalize-space(.)) &lt; 201 ]
        -->

<assert  id="VR.ATO.TCS.426054" diagnostics="DVR.ATO.TCS.426054" test="@contextRef != $RP.ContextId or string-length(normalize-space(.)) &lt; 201"></assert>
</rule>
<!-- ENUMERATIONS -->

<rule
		context="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not((@i:nil='true' or @i:nil='1') or string-length(normalize-space(.)) = 0)]">

<!--
            Rule ID: VR.ATO.GEN.410049

            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> "MN")
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.410049" diagnostics="DVR.ATO.GEN.410049" test="regexp:test(.,'^MN$')"></assert>
</rule>
</pattern>