﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Person" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Person Common Validations</title>
        
    <rule context="prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]">
        <!--      
            WHERE IN TUPLE(personunstructuredname1.xx.xx:PersonUnstructuredName)
            IF pyde.xx.xx:PersonUnstructuredName.Usage.Code = NULLORBLANK 
            OR pyde.xx.xx:PersonUnstructuredName.FullName.Text = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.000243" diagnostics="DVR.ATO.GEN.000243"
                 test="not(
                         not(pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1')
                 and string-length(normalize-space(.)) != 0])
                         or 
                         not(pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1')
                            and string-length(normalize-space(.)) != 0])
                       )"/>

        <!--      
            WHERE IN TUPLE(personunstructuredname1.xx.xx:PersonUnstructuredName)
            IF (pyde.xx.xx:PersonUnstructuredName.FullName.Text CONTAINS "" - "")
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.408010" diagnostics="DVR.ATO.GEN.408010.TRT"
                test="not(
                        pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1')
                        and (string-length(normalize-space(.)) != 0) and regexp:test(.,'^(.*)\s-\s(.*)$')]
                     )"/>        
        
    </rule>

    <rule context="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails)
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410217" diagnostics="DVR.ATO.GEN.410217"
                test="not(
                            pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1')and string-length(normalize-space(.)) = 0]
                       )"/>
        <!--     
            IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails)
            IF (pyde.xx.xx:PersonNameDetails.Currency.Code = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.GEN.410183" diagnostics="DVR.ATO.GEN.410183.TRT"
                test="pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>

        <!--     
            IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails) 
            IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text <> NULLORBLANK) AND 
               (pyde.xx.xx:PersonNameDetails.GivenName.Text = NULLORBLANK) 
                    RETURN VALIDATION MESSAGE 
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.410218" diagnostics="DVR.ATO.GEN.410218.TRT"
                 test="not(
                         pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] 
                         and
                         not(pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                       )"/>


        <!--
            WHERE IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails)
            IF (pyde.xx.xx:PersonNameDetails.PersonNameType.Code = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410216" diagnostics="DVR.ATO.GEN.410216.TRT"
                test="pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                "/>
    </rule>

    <rule context="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.OtherGivenName.Text">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS  " - ")
            RETURN VALIDATION MESSAGE
        -->
        <assert  id="VR.ATO.GEN.428266" diagnostics="DVR.ATO.GEN.428266"
                 test="not(regexp:test(.,'^(.*) - (.*)$'))"/>
        <!--
            IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS SET("hyphen hyphen","'’","  ") )
            RETURN VALIDATION MESSAGE	
        -->
        <assert  id="VR.ATO.GEN.428267" diagnostics="DVR.ATO.GEN.428267"
                 test="not(regexp:test(.,'^(.*)(--|(\x27)(\x27)|(\x20)(\x20))(.*)$'))"/>
        <!--
            IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text <> NULLORBLANK)
            AND (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text DOES NOT CONTAIN SET("A-Z","a-z"))
                RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.GEN.410131" diagnostics="DVR.ATO.GEN.410131"
                test="string-length(normalize-space(.)) = 0 or regexp:test(.,'^(.*)[a-zA-Z](.*)$')"/>

        <!-- 
            IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410207" diagnostics="DVR.ATO.GEN.410207"
                test="not(
                        regexp:test(.,'^(?i)(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$') or
                        regexp:test(.,'^(.*)(?i)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$') or
                        regexp:test(.,'^(.*)(?i)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$') or
                        regexp:test(.,'^(?i)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$')
                      )"/>

        <!--
            IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("Exec for","Rep for","Trustee for"))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.410208" diagnostics="DVR.ATO.GEN.410208.TRT"
                 test="not(
                         regexp:test(.,'^(?i)(Exec for |Rep for |Trustee for )(.*)$') or
                         regexp:test(.,'^(.*)(?i)( Exec for | Rep for | Trustee for )(.*)$') or
                         regexp:test(.,'^(.*)(?i)( Exec for| Rep for| Trustee for)$') or
                         regexp:test(.,'^(?i)(Exec for|Rep for|Trustee for)$')
                       )"/>

        <!--
            IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("MR","MRS","MISS","MS"))
            RETURN VALIDATION MESSAGE
        -->
        <assert  id="VR.ATO.GEN.410209" diagnostics="DVR.ATO.GEN.410209.TRT"
                 test="not(
                          regexp:test(.,'^(?i)(MR |MRS |MISS |MS )(.*)$') or
                          regexp:test(.,'^(.*)(?i)( MR | MRS | MISS | MS )(.*)$') or
                          regexp:test(.,'^(.*)(?i)( MR| MRS| MISS| MS)$') or
                          regexp:test(.,'^(?i)(MR|MRS|MISS|MS)$'))
                          "/>
        
        
    </rule>

    <rule context="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.NameSuffix.Text[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF (pyde.02.00:PersonNameDetails.NameSuffix.Text <> NULLORBLANK) AND 
              (pyde.02.00:PersonNameDetails.NameSuffix.Text <> SET(DOMAIN(SUFFIX CODES)))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <let name="ucName" value="exslt:uppercase(.)" />
        <assert id="VR.ATO.GEN.000458" diagnostics="DVR.ATO.GEN.000458"
                test="not(
                            string-length(normalize-space(.)) != 0 
                            and not
                            (
                                $ucName = 'ESQ' or
                                $ucName = 'II' or 
                                $ucName = 'III' or 
                                $ucName = 'IV' or 
                                $ucName = 'JNR' or 
                                $ucName = 'JP' or 
                                $ucName = 'MHA' or 
                                $ucName = 'MHR' or 
                                $ucName = 'MLA' or 
                                $ucName = 'MLC' or 
                                $ucName = 'MP' or
                                $ucName = 'QC' or
                                $ucName = 'SNR'
                            )
                           
                    ) "/>
    </rule>
    
    <rule context="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.Title.Text[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.Title.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.Title.Text <> SET(DOMAIN(SUFFIX CODES)))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <let name="ucvalue" value="exslt:uppercase(.)" />
        <assert id="VR.ATO.GEN.000459" diagnostics="DVR.ATO.GEN.000459"
                test="not(
                            string-length(normalize-space(.)) != 0 
                            and not
                            (
                                  $ucvalue = '2LT' or
                                  $ucvalue = 'AB' or
                                  $ucvalue = 'ABBOT' or
                                  $ucvalue = 'AC' or
                                  $ucvalue = 'ACM' or
                                  $ucvalue = 'ADM' or
                                  $ucvalue = 'AIR CDRE' or
                                  $ucvalue = 'ALDERMAN' or
                                  $ucvalue = 'AM' or
                                  $ucvalue = 'ARCHBISHOP' or
                                  $ucvalue = 'ARCHDEACON' or
                                  $ucvalue = 'ASSOC PROF' or
                                  $ucvalue = 'AVM' or
                                  $ucvalue = 'BARON' or
                                  $ucvalue = 'BARONESS' or 
                                  $ucvalue = 'BISHOP' or
                                  $ucvalue = 'BR' or
                                  $ucvalue = 'BRIG' or
                                  $ucvalue = 'CANON' or
                                  $ucvalue = 'CAPT' or
                                  $ucvalue = 'CARDINAL' or
                                  $ucvalue = 'CDRE' or
                                  $ucvalue = 'CDT' or
                                  $ucvalue = 'CHAP' or
                                  $ucvalue = 'CMDR' or
                                  $ucvalue = 'CMM' or
                                  $ucvalue = 'COL' or
                                  $ucvalue = 'CONST' or
                                  $ucvalue = 'COUNT' or
                                  $ucvalue = 'COUNTESS' or
                                  $ucvalue = 'CPL' or
                                  $ucvalue = 'CPO' or
                                  $ucvalue = 'DAME' or
                                  $ucvalue = 'DEACON' or
                                  $ucvalue = 'DEACONESS' or
                                  $ucvalue = 'DEPUTY SUPT' or
                                  $ucvalue = 'DR' or
                                  $ucvalue = 'DEAN' or
                                  $ucvalue = 'DUCHESS' or
                                  $ucvalue = 'DUKE' or
                                  $ucvalue = 'EARL' or
                                  $ucvalue = 'EF' or
                                  $ucvalue = 'FLGOFF' or
                                  $ucvalue = 'FLT LT' or
                                  $ucvalue = 'FR' or
                                  $ucvalue = 'FSGT' or
                                  $ucvalue = 'GEN' or
                                  $ucvalue = 'GNR' or
                                  $ucvalue = 'GP CAPT' or
                                  $ucvalue = 'HON' or
                                  $ucvalue = 'HON JUDGE' or
                                  $ucvalue = 'HON JUST' or
                                  $ucvalue = 'HRH' or
                                  $ucvalue = 'INSP' or
                                  $ucvalue = 'JUDGE' or
                                  $ucvalue = 'JUST' or
                                  $ucvalue = 'LAC' or
                                  $ucvalue = 'LACW' or
                                  $ucvalue = 'LADY' or
                                  $ucvalue = 'LBDR' or
                                  $ucvalue = 'LCPL' or
                                  $ucvalue = 'LORD' or
                                  $ucvalue = 'LS' or
                                  $ucvalue = 'LT' or
                                  $ucvalue = 'LT CMDR' or
                                  $ucvalue = 'LT COL' or
                                  $ucvalue = 'LT GEN' or
                                  $ucvalue = 'MADAM' or
                                  $ucvalue = 'MAJ' or
                                  $ucvalue = 'MAJ GEN' or
                                  $ucvalue = 'MASTER' or
                                  $ucvalue = 'MATRON' or
                                  $ucvalue = 'MAYOR' or
                                  $ucvalue = 'MAYORESS' or
                                  $ucvalue = 'MIDN' or
                                  $ucvalue = 'MISS' or
                                  $ucvalue = 'MON' or
                                  $ucvalue = 'MOST REV' or
                                  $ucvalue = 'MR' or
                                  $ucvalue = 'MRS' or
                                  $ucvalue = 'MS' or
                                  $ucvalue = 'PASTOR' or
                                  $ucvalue = 'PATRIARCH' or
                                  $ucvalue = 'PLT OFF' or
                                  $ucvalue = 'PO' or
                                  $ucvalue = 'PRIOR' or
                                  $ucvalue = 'PROF' or
                                  $ucvalue = 'PTE' or
                                  $ucvalue = 'RABBI' or
                                  $ucvalue = 'RADM' or
                                  $ucvalue = 'RECTOR' or
                                  $ucvalue = 'REV' or
                                  $ucvalue = 'RF' or
                                  $ucvalue = 'RT HON' or
                                  $ucvalue = 'RT REV' or
                                  $ucvalue = 'RT REV BISHOP' or
                                  $ucvalue = 'RT REV MON' or
                                  $ucvalue = 'SBLT' or
                                  $ucvalue = 'SEN' or
                                  $ucvalue = 'SGT' or
                                  $ucvalue = 'SIR' or
                                  $ucvalue = 'SMN' or
                                  $ucvalue = 'SNR CONST' or
                                  $ucvalue = 'SQN LDR' or
                                  $ucvalue = 'SR' or
                                  $ucvalue = 'SSGT' or
                                  $ucvalue = 'SUPR' or
                                  $ucvalue = 'SWAMI' or
                                  $ucvalue = 'TF' or
                                  $ucvalue = 'VADM' or
                                  $ucvalue = 'VERY REV' or
                                  $ucvalue = 'VICAR' or
                                  $ucvalue = 'VISCOUNT' or
                                  $ucvalue = 'WG CDR' or
                                  $ucvalue = 'WO' or
                                  $ucvalue = 'WO1' or
                                  $ucvalue = 'WO2'
                              )

                )"/>
    </rule>
    
    <rule context="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.GivenName.Text DOES NOT CONTAIN SET("A-Z","a-z"))
                RETURN VALIDATION MESSSAGE
            END IF
        -->
        <assert id="VR.ATO.GEN.410063" diagnostics="DVR.ATO.GEN.410063"
                test="not(
                            string-length(normalize-space(.)) != 0 
                            and 
                            not (regexp:test(.,'^(.*)[a-zA-Z](.*)$'))
                      )"/>
        <!--
            IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.410202" diagnostics="DVR.ATO.GEN.410202" test="
                not(
                  regexp:test(.,'^(?i)(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$') or
                  regexp:test(.,'^(.*)(?i)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$') or
                  regexp:test(.,'^(.*)(?i)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$') or
                  regexp:test(.,'^(?i)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$'))"/>
        <!-- 
            IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("Exec for","Rep for","Trustee for"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410203" diagnostics="DVR.ATO.GEN.410203"
                test="not(
                  regexp:test(.,'^(?i)(Exec for |Rep for |Trustee for )(.*)$') or
                  regexp:test(.,'^(.*)(?i)( Exec for | Rep for | Trustee for )(.*)$') or
                  regexp:test(.,'^(.*)(?i)( Exec for| Rep for| Trustee for)$') or
                  regexp:test(.,'^(?i)(Exec for|Rep for|Trustee for)$'))"/>

        <!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("MR","MRS","MISS","MS"))
                RETURN VALIDATION MESSAGE
            ENDIF 
        -->
        <assert id="VR.ATO.GEN.410204" diagnostics="DVR.ATO.GEN.410204"
                test="not(
                  regexp:test(.,'^(?i)(MR |MRS |MISS |MS )(.*)$') or
                  regexp:test(.,'^(.*)(?i)( MR | MRS | MISS | MS )(.*)$') or
                  regexp:test(.,'^(.*)(?i)( MR| MRS| MISS| MS)$') or
                  regexp:test(.,'^(?i)(MR|MRS|MISS|MS)$'))"/>
        <!--
            IF (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS  " - ")
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.428264" diagnostics="DVR.ATO.GEN.428264"
                 test="not(regexp:test(.,'^(.*) - (.*)$'))"/>
        <!--
            IF (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS SET("hyphen hyphen","'’","  ") )
            RETURN VALIDATION MESSAGE
            -->
        <assert  id="VR.ATO.GEN.428265" diagnostics="DVR.ATO.GEN.428265"
              test="not(regexp:test(.,'^(.*)(--|(\x27)(\x27)|(\x20)(\x20))(.*)$'))"/>
    </rule>
   
    <rule context="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.428231" diagnostics="DVR.ATO.GEN.428231"
                 test="not(
                          regexp:test(.,'^(?i)(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$') or
                          regexp:test(.,'^(.*)(?i)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$') or
                          regexp:test(.,'^(.*)(?i)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$') or
                          regexp:test(.,'^(?i)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$')
                       )"/>        
        <!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS " - ")
            RETURN VALIDATION MESSAGE 
        -->
        <assert  id="VR.ATO.GEN.428262" diagnostics="DVR.ATO.GEN.428262"
                 test="not(regexp:test(.,'^(.*) - (.*)$'))"/>
        
        <!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS SET("hyphen hyphen","'’","  ") )
            RETURN VALIDATION MESSAGE 
        -->
        <assert  id="VR.ATO.GEN.428263" diagnostics="DVR.ATO.GEN.428263"
                 test="not(
                            regexp:test(.,'^(.*)(--|(\x27)(\x27)|(\x20)(\x20))(.*)$')
                       )"/>
        <!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("MR","MRS","MISS","MS"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410201" diagnostics="DVR.ATO.GEN.410201"
                test="not(
                          regexp:test(.,'^(?i)(MR |MRS |MISS |MS )(.*)$') or
                          regexp:test(.,'^(.*)(?i)( MR | MRS | MISS | MS )(.*)$') or
                          regexp:test(.,'^(.*)(?i)( MR| MRS| MISS| MS)$') or
                          regexp:test(.,'^(?i)(MR|MRS|MISS|MS)$')
                      )"/>
        <!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text DOES NOT CONTAIN SET("A-Z","a-z"))
                RETURN VALIDATION MESSSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410040" diagnostics="DVR.ATO.GEN.410040.TRT"
                test="string-length(normalize-space(.)) = 0 or regexp:test(.,'^(.*)[a-zA-Z](.*)$')"/>
        <!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("Exec for","Rep for","Trustee for"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410200" diagnostics="DVR.ATO.GEN.410200"
                test="not(
                          regexp:test(.,'^(?i)(Exec for |Rep for |Trustee for )(.*)$') or
                          regexp:test(.,'^(.*)(?i)( Exec for | Rep for | Trustee for )(.*)$') or
                          regexp:test(.,'^(.*)(?i)( Exec for| Rep for| Trustee for)$') or
                          regexp:test(.,'^(?i)(Exec for|Rep for|Trustee for)$')
                      )"/>
    </rule>

  
      
</pattern>
